Config = {}
Config.RandomMissions = false --set false for linear progression
Config.MissionSpaceTime = 30000 --milliseconds between missions
--spawn a mission on first player join?
Config.StartMissionsOnSpawn = true
--these below can be overriden per mission
Config.TargetKillReward = 250 --cash
Config.KillReward = 250 --cash
Config.KillVehiclePedBonus = 150 --cash
Config.KillBossPedBonus = 250 --cash
Config.FinishedObjectiveReward = 5000 --cash
Config.HostageKillPenalty = 500  --cash
Config.HostageRescueReward = 500  --cash
Config.IsDefendTargetRescueReward = 5000
Config.IsDefendTargetKillPenalty = 5000


--**Set this to true if you encounter any 'hidden' NPCs (behind walls) that are not accessible in random mission generator missions
--This will happen very occasionally, and this will/should fix that occuring. 
--The upshot when this is set to true, is that NPCs will not spawn underneath structures as much, like in tunnels,
--or under the pier say. 
--You can use RandomMissionPositions with force=true to make NPCs spawn underneath 
--structures and in tunnels, but only Objective type missions (not Assasinate missions) will be generated 
--since the codebase does not stop NPCs spawning behind walls in this case. 
--This only applies to Random Mission Generator missions, not Regular, where you can have NPCs spawn wherever you want. 
--Config.CheckAndFixRandomSpawns=false --DISABLED
--**--

Config.CleanupPickups = true --cleanup any remaining pickups when a new mission starts?

Config.EnemiesCanSpawnPickups = false --< experimental
										--  now will try to spawn a weapon from the what the ped had, does not seem to spawn the same weapon, *seems* to be random.
Config.EnemySpawnedPickupsChance = 10 --Percent Chance to spawn a pickup
Config.EnemySpawnedPickups = {
	"PICKUP_HEALTH_SNACK",
	"PICKUP_HEALTH_STANDARD",
}	

Config.SetPedDropsWeaponsWhenDead = true
								 
--Default Player MaxHealth Amount:
Config.DefaultPlayerMaxHealthAmount = 200									 
								 
----THESE ARE NOT SUPPORTED PER MISSION ONLY GLOBAL:									 
--give player health and armor back when they win mission?	
Config.RegenHealthAndArmourOnReward = true	
--Turn on Regen like Halo for Health and Armor?
Config.RegenHealthAndArmour = true	
----
								 
--TURNING ON MEANS THAT WHEN A HOSTAGE IS KILLED MISSION IS OVER							 									 
Config.HostageRescue = false	

Config.FailedMessage = "Mission Failed!"						 

--can be used with safehouses...but are meant as an alternative			
Config.SpawnMissionPickupsOnPlayer = false
Config.SpawnMissionComponentsOnPlayer = false 

--used with safe houses or by themselves
Config.SpawnRewardPickupsOnPlayer = true
Config.SpawnRewardComponentsOnPlayer = true 

Config.SpawnMissionPickups = {"WEAPON_COMBATPISTOL","weapon_heavysniper_mk2","weapon_marksmanrifle_mk2","weapon_heavysniper","weapon_combatmg_mk2","weapon_combatmg",
"weapon_carbinerifle_mk2","weapon_assaultrifle_mk2","weapon_specialcarbine_mk2","weapon_bullpuprifle_mk2","weapon_advancedrifle","weapon_pumpshotgun_mk2","weapon_assaultshotgun",
"weapon_smg_mk2","weapon_assaultsmg","weapon_pistol_mk2","weapon_snspistol_mk2","weapon_revolver_mk2","WEAPON_KNIFE","GADGET_NIGHTVISION","WEAPON_GRENADE","WEAPON_PROXMINE","WEAPON_STICKYBOMB","WEAPON_PIPEBOMB","WEAPON_FLARE",
"weapon_molotov","weapon_hominglauncher","WEAPON_RPG","GADGET_PARACHUTE","weapon_microsmg"
}

Config.SpawnMissionComponents = {"COMPONENT_AT_PI_SUPP WEAPON_COMBATPISTOL","COMPONENT_COMBATPISTOL_CLIP_02 WEAPON_COMBATPISTOL","COMPONENT_HEAVYSNIPER_MK2_CLIP_EXPLOSIVE weapon_heavysniper_mk2",
"COMPONENT_AT_SCOPE_MAX weapon_heavysniper_mk2",
"COMPONENT_HEAVYSNIPER_MK2_CLIP_EXPLOSIVE weapon_heavysniper_mk2",
--"COMPONENT_AT_SCOPE_THERMAL weapon_heavysniper_mk2",
"COMPONENT_AT_SCOPE_LARGE_FIXED_ZOOM_MK2 weapon_marksmanrifle_mk2","COMPONENT_MARKSMANRIFLE_MK2_CLIP_FMJ weapon_marksmanrifle_mk2","COMPONENT_AT_SCOPE_MAX weapon_heavysniper",
"COMPONENT_AT_SCOPE_MEDIUM_MK2 weapon_combatmg_mk2","COMPONENT_COMBATMG_MK2_CLIP_INCENDIARY weapon_combatmg_mk2","COMPONENT_COMBATMG_CLIP_02 weapon_combatmg","COMPONENT_AT_SCOPE_MEDIUM weapon_combatmg",
"COMPONENT_CARBINERIFLE_MK2_CLIP_ARMORPIERCING weapon_carbinerifle_mk2","COMPONENT_AT_SCOPE_MEDIUM_MK2 weapon_carbinerifle_mk2",
"COMPONENT_ASSAULTRIFLE_MK2_CLIP_FMJ weapon_assaultrifle_mk2","COMPONENT_AT_SCOPE_MEDIUM_MK2 weapon_assaultrifle_mk2",
"COMPONENT_SPECIALCARBINE_MK2_CLIP_INCENDIARY weapon_specialcarbine_mk2","COMPONENT_AT_SCOPE_MEDIUM_MK2 weapon_specialcarbine_mk2",
"COMPONENT_BULLPUPRIFLE_MK2_CLIP_ARMORPIERCING weapon_bullpuprifle_mk2","COMPONENT_AT_SCOPE_SMALL_MK2 weapon_bullpuprifle_mk2",
"COMPONENT_ADVANCEDRIFLE_CLIP_02 weapon_advancedrifle","COMPONENT_AT_SCOPE_SMALL weapon_advancedrifle",
"COMPONENT_PUMPSHOTGUN_MK2_CLIP_EXPLOSIVE weapon_pumpshotgun_mk2","COMPONENT_AT_SCOPE_SMALL_MK2 weapon_pumpshotgun_mk2",
"COMPONENT_ASSAULTSHOTGUN_CLIP_02 weapon_assaultshotgun",
"COMPONENT_SMG_MK2_CLIP_HOLLOWPOINT weapon_smg_mk2","COMPONENT_AT_SCOPE_SMALL_SMG_MK2 weapon_smg_mk2",
"COMPONENT_ASSAULTSMG_CLIP_02 weapon_assaultsmg","COMPONENT_AT_SCOPE_MACRO weapon_assaultsmg",
"COMPONENT_PISTOL_MK2_CLIP_HOLLOWPOINT weapon_pistol_mk2","COMPONENT_AT_PI_RAIL weapon_pistol_mk2",
"COMPONENT_SNSPISTOL_MK2_CLIP_FMJ weapon_snspistol_mk2","COMPONENT_AT_PI_RAIL_02 weapon_snspistol_mk2",
"COMPONENT_REVOLVER_MK2_CLIP_INCENDIARY weapon_revolver_mk2","COMPONENT_AT_SCOPE_MACRO_MK2 weapon_revolver_mk2",
"COMPONENT_MICROSMG_CLIP_02 weapon_microsmg"
} --space between attachment/component and weapon it goes on





Config.SpawnRewardPickups = {"WEAPON_COMBATPISTOL","weapon_heavysniper_mk2","weapon_marksmanrifle_mk2","weapon_heavysniper","weapon_combatmg_mk2","weapon_combatmg",
"weapon_carbinerifle_mk2","weapon_assaultrifle_mk2","weapon_specialcarbine_mk2","weapon_bullpuprifle_mk2","weapon_advancedrifle","weapon_pumpshotgun_mk2","weapon_assaultshotgun",
"weapon_smg_mk2","weapon_assaultsmg","weapon_pistol_mk2","weapon_snspistol_mk2","weapon_revolver_mk2","WEAPON_KNIFE","GADGET_NIGHTVISION","WEAPON_GRENADE","WEAPON_PROXMINE","WEAPON_STICKYBOMB","WEAPON_PIPEBOMB","WEAPON_FLARE",
"weapon_molotov","weapon_hominglauncher","WEAPON_RPG","GADGET_PARACHUTE","weapon_microsmg"
}

Config.SpawnRewardComponents = {"COMPONENT_AT_PI_SUPP WEAPON_COMBATPISTOL","COMPONENT_COMBATPISTOL_CLIP_02 WEAPON_COMBATPISTOL","COMPONENT_HEAVYSNIPER_MK2_CLIP_EXPLOSIVE weapon_heavysniper_mk2",
"COMPONENT_AT_SCOPE_MAX weapon_heavysniper_mk2",
"COMPONENT_HEAVYSNIPER_MK2_CLIP_EXPLOSIVE weapon_heavysniper_mk2",
--"COMPONENT_AT_SCOPE_THERMAL weapon_heavysniper_mk2",
"COMPONENT_AT_SCOPE_LARGE_FIXED_ZOOM_MK2 weapon_marksmanrifle_mk2","COMPONENT_MARKSMANRIFLE_MK2_CLIP_FMJ weapon_marksmanrifle_mk2","COMPONENT_AT_SCOPE_MAX weapon_heavysniper",
"COMPONENT_AT_SCOPE_MEDIUM_MK2 weapon_combatmg_mk2","COMPONENT_COMBATMG_MK2_CLIP_INCENDIARY weapon_combatmg_mk2","COMPONENT_COMBATMG_CLIP_02 weapon_combatmg","COMPONENT_AT_SCOPE_MEDIUM weapon_combatmg",
"COMPONENT_CARBINERIFLE_MK2_CLIP_ARMORPIERCING weapon_carbinerifle_mk2","COMPONENT_AT_SCOPE_MEDIUM_MK2 weapon_carbinerifle_mk2",
"COMPONENT_ASSAULTRIFLE_MK2_CLIP_FMJ weapon_assaultrifle_mk2","COMPONENT_AT_SCOPE_MEDIUM_MK2 weapon_assaultrifle_mk2",
"COMPONENT_SPECIALCARBINE_MK2_CLIP_INCENDIARY weapon_specialcarbine_mk2","COMPONENT_AT_SCOPE_MEDIUM_MK2 weapon_specialcarbine_mk2",
"COMPONENT_BULLPUPRIFLE_MK2_CLIP_ARMORPIERCING weapon_bullpuprifle_mk2","COMPONENT_AT_SCOPE_SMALL_MK2 weapon_bullpuprifle_mk2",
"COMPONENT_ADVANCEDRIFLE_CLIP_02 weapon_advancedrifle","COMPONENT_AT_SCOPE_SMALL weapon_advancedrifle",
"COMPONENT_PUMPSHOTGUN_MK2_CLIP_EXPLOSIVE weapon_pumpshotgun_mk2","COMPONENT_AT_SCOPE_SMALL_MK2 weapon_pumpshotgun_mk2",
"COMPONENT_ASSAULTSHOTGUN_CLIP_02 weapon_assaultshotgun",
"COMPONENT_SMG_MK2_CLIP_HOLLOWPOINT weapon_smg_mk2","COMPONENT_AT_SCOPE_SMALL_SMG_MK2 weapon_smg_mk2",
"COMPONENT_ASSAULTSMG_CLIP_02 weapon_assaultsmg","COMPONENT_AT_SCOPE_MACRO weapon_assaultsmg",
"COMPONENT_PISTOL_MK2_CLIP_HOLLOWPOINT weapon_pistol_mk2","COMPONENT_AT_PI_RAIL weapon_pistol_mk2",
"COMPONENT_SNSPISTOL_MK2_CLIP_FMJ weapon_snspistol_mk2","COMPONENT_AT_PI_RAIL_02 weapon_snspistol_mk2",
"COMPONENT_REVOLVER_MK2_CLIP_INCENDIARY weapon_revolver_mk2","COMPONENT_AT_SCOPE_MACRO_MK2 weapon_revolver_mk2",
"COMPONENT_MICROSMG_CLIP_02 weapon_microsmg"
}    --space between attachment/component and weapon it goes on

Config.MissionLengthMinutes = 60
Config.MissionNoTimeout = false



--turn safehouses off/on
Config.UseSafeHouse = true
Config.UseSafeHouseCrateDrop = true
Config.UseSafeHouseBanditoDrop = true
Config.SafeHouseCost = 2000
Config.SafeHouseCostVehicle = 2000
Config.SafeHouseCostCrate = 2000
Config.SafeHouseSniperExplosiveRoundsGiven = 4 --default in game is 40. Alter this for some balance
Config.SafeHouseVehiclesMaxClaim = 3 --how many vehicles a player can claim per mission
Config.SafeHouseTimeTillNextUse = 180000 --3 minutes default 
Config.SafeHouseGiveImmediately = true --disable countdown
Config.SafeHousePedDoctors = {"s_m_m_doctor_01","a_f_y_business_02","u_f_y_princess"}
Config.SafeHousePedLeaders = {"s_m_y_blackops_02","s_m_y_blackops_01","s_m_y_blackops_03"}
Config.SafeHouseProps = {"v_ilev_liconftable_sml"}--{"ex_prop_crate_expl_bc"}
Config.SafeHousePedWeapons = {0x83BF0278,0x05FC3C11}

--pawns player to the current mission safehouse when they spawn/respawn
Config.TeleportToSafeHouseOnSpawn = true
Config.TeleportToSafeHouseOnMissionStart = true


--NOTE, WHEN SAFEHOUSES TURNED ON. For regular missions, place vehicles without 'id2' attribute in Vehicles= {} to also create safehouse vehicles for players
--**They need to be placed after any 'id2' NPC vehicles**
Config.SafeHouseVehicleCount = 5
Config.SafeHouseAircraftCount = 2
Config.SafeHouseBoatCount = 3

--Makes NPC planes (not helis) head towards to the safe house location if UseSafe=true and TeleportToSafeHouseOnMissionStart=true
--This is a little hack to make spawned planes stay in the air.
Config.SafeHousePlaneAttack = true

--combat pistol ->supressor, extended clip
--weapon_pistol_mk2 -> hollow point, scope
--weapon_snspistol_mk2 ->fmj rounds, scope
--weapon_revolver_mk2 -> incendiary, scope
--heavysniper_mk2 ->  explosive rounds, advanced scope
--marksmanrifle_mk2 ->  fmj (anti-vehicle) rounds
--heaversniper ->  advanced scope
--combatmg_mk2 -> scope, incendiary rounds
--combatmg,-> extend clip, scope
--weapon_carbinerifle_mk2 -> armor piercing rounds, scope
--weapon_assaultrifle_mk2 -> fmj rounds, scope
--weapon_specialcarbine_mk2 -> incendiary, scope
--weapon_bullpuprifle_mk2 -> armor piercing, scope
--weapon_advancedrifle --> extended, scope
--weapon_pumpshotgun_mk2 --> explosive, scope
--weapon_assaultshotgun -->, extended clip
--weapon_smg_mk2 -> hollow point,scope,
--weapon_assaultsmg -> extended clip, scope
--weapon_microsmg -> extended clip

Config.SpawnSafeHousePickups = {"WEAPON_COMBATPISTOL","weapon_heavysniper_mk2","weapon_marksmanrifle_mk2","weapon_heavysniper","weapon_combatmg_mk2","weapon_combatmg",
"weapon_carbinerifle_mk2","weapon_assaultrifle_mk2","weapon_specialcarbine_mk2","weapon_bullpuprifle_mk2","weapon_advancedrifle","weapon_pumpshotgun_mk2","weapon_assaultshotgun",
"weapon_smg_mk2","weapon_assaultsmg","weapon_pistol_mk2","weapon_snspistol_mk2","weapon_revolver_mk2","WEAPON_KNIFE","GADGET_NIGHTVISION","WEAPON_GRENADE","WEAPON_PROXMINE","WEAPON_STICKYBOMB","WEAPON_PIPEBOMB","WEAPON_FLARE",
"weapon_molotov","weapon_hominglauncher","WEAPON_RPG","GADGET_PARACHUTE","weapon_microsmg"
}
Config.SpawnSafeHouseComponents = {"COMPONENT_AT_PI_SUPP WEAPON_COMBATPISTOL","COMPONENT_COMBATPISTOL_CLIP_02 WEAPON_COMBATPISTOL","COMPONENT_HEAVYSNIPER_MK2_CLIP_EXPLOSIVE weapon_heavysniper_mk2",
"COMPONENT_AT_SCOPE_MAX weapon_heavysniper_mk2",
"COMPONENT_HEAVYSNIPER_MK2_CLIP_EXPLOSIVE weapon_heavysniper_mk2",
--"COMPONENT_AT_SCOPE_THERMAL weapon_heavysniper_mk2",
"COMPONENT_AT_SCOPE_LARGE_FIXED_ZOOM_MK2 weapon_marksmanrifle_mk2","COMPONENT_MARKSMANRIFLE_MK2_CLIP_FMJ weapon_marksmanrifle_mk2","COMPONENT_AT_SCOPE_MAX weapon_heavysniper",
"COMPONENT_AT_SCOPE_MEDIUM_MK2 weapon_combatmg_mk2","COMPONENT_COMBATMG_MK2_CLIP_INCENDIARY weapon_combatmg_mk2","COMPONENT_COMBATMG_CLIP_02 weapon_combatmg","COMPONENT_AT_SCOPE_MEDIUM weapon_combatmg",
"COMPONENT_CARBINERIFLE_MK2_CLIP_ARMORPIERCING weapon_carbinerifle_mk2","COMPONENT_AT_SCOPE_MEDIUM_MK2 weapon_carbinerifle_mk2",
"COMPONENT_ASSAULTRIFLE_MK2_CLIP_FMJ weapon_assaultrifle_mk2","COMPONENT_AT_SCOPE_MEDIUM_MK2 weapon_assaultrifle_mk2",
"COMPONENT_SPECIALCARBINE_MK2_CLIP_INCENDIARY weapon_specialcarbine_mk2","COMPONENT_AT_SCOPE_MEDIUM_MK2 weapon_specialcarbine_mk2",
"COMPONENT_BULLPUPRIFLE_MK2_CLIP_ARMORPIERCING weapon_bullpuprifle_mk2","COMPONENT_AT_SCOPE_SMALL_MK2 weapon_bullpuprifle_mk2",
"COMPONENT_ADVANCEDRIFLE_CLIP_02 weapon_advancedrifle","COMPONENT_AT_SCOPE_SMALL weapon_advancedrifle",
"COMPONENT_PUMPSHOTGUN_MK2_CLIP_EXPLOSIVE weapon_pumpshotgun_mk2","COMPONENT_AT_SCOPE_SMALL_MK2 weapon_pumpshotgun_mk2",
"COMPONENT_ASSAULTSHOTGUN_CLIP_02 weapon_assaultshotgun",
"COMPONENT_SMG_MK2_CLIP_HOLLOWPOINT weapon_smg_mk2","COMPONENT_AT_SCOPE_SMALL_SMG_MK2 weapon_smg_mk2",
"COMPONENT_ASSAULTSMG_CLIP_02 weapon_assaultsmg","COMPONENT_AT_SCOPE_MACRO weapon_assaultsmg",
"COMPONENT_PISTOL_MK2_CLIP_HOLLOWPOINT weapon_pistol_mk2","COMPONENT_AT_PI_RAIL weapon_pistol_mk2",
"COMPONENT_SNSPISTOL_MK2_CLIP_FMJ weapon_snspistol_mk2","COMPONENT_AT_PI_RAIL_02 weapon_snspistol_mk2",
"COMPONENT_REVOLVER_MK2_CLIP_INCENDIARY weapon_revolver_mk2","COMPONENT_AT_SCOPE_MACRO_MK2 weapon_revolver_mk2",
"COMPONENT_MICROSMG_CLIP_02 weapon_microsmg"
} 


Config.SafeHouseVehicles = 

{
	"dune3",
	"kuruma2",
	"insurgent3",
	"khanjali",
	"blazer5",
	"oppressor2",
	"oppressor",
	"apc",
}


Config.SafeHouseAircraft = 

{
"hydra",
"havok",
"thruster",
"avenger",

}
--used for IsRandomSpawnAnywhere missions, for when the random position is on water.
Config.SafeHouseBoat = 

{
"dinghy4",
"seashark",
"toro2",
"jetmax",
}


--vehicles where NPC passengers get out of near players or IsDefendPlayerObjectives
--NEEDS TO BE IN UPPERCASE:
--[[Config.RandomMissionTransportVehicles = {
BRICKADE={},
BUS={},
COACH={},
WASTELANDER={},
TITAN={},
LUXOR={},
LUXOR2={},
MILJET={},
BARRACKS={},
BARRACKS3={},
CARGOBOB={},
CARGOBOB2={},
CARGOBOB3={},
CARGOBOB4={}
}
]]--


--reset safehouse access when player respawns?
--really need to use ESX& database to stop 
--players disconnecting and reconnecting
--to record.
Config.ResetSafeHouseOnRespawn = false
--do we also reset the safe house for the next mission?
Config.ResetSafeHouseOnNewMission = false

--when going to safehouse for mission equipment armor and 
--health will also add armor to model, give super jump 
-- and fast sprint
----THESE ARE NOT SUPPORTED PER MISSION ONLY GLOBAL:
Config.SafeHouseCrackDownMode = true
Config.SafeHouseCrackDownModeHealthAmount = 5000
----
--for IsRandom=true
--For Below:
--set to true to use Config.SafeHouseLocations
--overrides normal mission and IsRandom
--location BlipS and MarkerS.
Config.UseSafeHouseLocations = true
Config.SafeHouseLocations = {

	--Los Santos Airport
	{
		BlipS = { --safehouse blip 
		  Title = "Mission Safehouse",
		  Position = { x = -1694.94, y = -3152.18, z = 23.32}, --{ x = 1944.96, y = 3150.6, z = 46.77},
		  Icon     = 417,
		  Display  = 4,
		  Size     = 1.2,
		  Color    = 2,
		  Alpha	 =80, 
		},	
		 MarkerS = { --safehouse marker
		  Type     = 1,
		  Position = { x = -1694.94, y = -3152.18, z = 24.32},  --{  x = 1944.96, y = 3150.6, z = 46.77}, 
		  Size     = {x = 6.0, y = 6.0, z = 2.0},
		  Color    = {r = 117, g = 218, b = 255},
		  DrawDistance = 200.0,
		},
		BlipSL = { --safehouse Vehicle blip 
		  Title = "Mission Vehicle Safehouse",
		  Position = { x = -1469.37, y = -2967.27, z = 13.3}, --{ x = 1944.96, y = 3150.6, z = 46.77},
		  Icon     = 421,
		  Display  = 4,
		  Size     = 1.2,
		  Color    = 3,
		  Alpha	 =80, 
		},
		BlipSB = { --safehouse boat blip 
		  Title = "Mission Boat Safehouse",
		  Position = {x = 413.98, y = -3411.47, z = 0.23}, --{ x = 1944.96, y = 3150.6, z = 46.77},
		 Icon     = 404,
		  Display  = 4,
		  Size     = 1.2,
		  Color    = 3,
		  Alpha	 =80, 
		},
	},
	
	--Desert Airstrip
	{
		BlipS = { --safehouse blip 
		  Title = "Mission Safehouse",
		  Position = { x = 1731.94, y = 3308.24, z = 41.22}, --{ x = 1944.96, y = 3150.6, z = 46.77},
		  Icon     = 417,
		  Display  = 4,
		  Size     = 1.2,
		  Color    = 2,
		  Alpha	 =80, 
		},	
		 MarkerS = { --safehouse marker
		  Type     = 1,
		  Position = { x = 1731.94, y = 3308.24, z = 41.22},  --{  x = 1944.96, y = 3150.6, z = 46.77}, 
		  Size     = {x = 6.0, y = 6.0, z = 2.0},
		  Color    = {r = 117, g = 218, b = 255},
		  DrawDistance = 200.0,
		},
		BlipSL = { --safehouse Vehicle blip 
		  Title = "Mission Vehicle Safehouse",
		  Position = { x = 1480.63, y = 3167.93, z = 40.99}, --{ x = 1944.96, y = 3150.6, z = 46.77},
		  Icon     = 421,
		  Display  = 4,
		  Size     = 1.2,
		  Color    = 3,
		  Alpha	 =80, 
		},
		BlipSB = { --safehouse boat blip 
		  Title = "Mission Boat Safehouse",
		  Position = {x = 1481.84, y = 3873.37, z = 30.04}, --{ x = 1944.96, y = 3150.6, z = 46.77},
		 Icon     = 404,
		  Display  = 4,
		  Size     = 1.2,
		  Color    = 3,
		  Alpha	 =80, 
		},
	},	
	
	--Military Base
	
	{
		BlipS = { --safehouse blip 
		  Title = "Mission Safehouse",
		  Position = {x = -2108.16, y = 3275.45, z = 38.73}, --{ x = 1944.96, y = 3150.6, z = 46.77},
		  Icon     = 417,
		  Display  = 4,
		  Size     = 1.2,
		  Color    = 2,
		  Alpha	 =80, 
		},	
		 MarkerS = { --safehouse marker
		  Type     = 1,
		  Position = { x = -2108.16, y = 3275.45, z = 38.73},  --{  x = 1944.96, y = 3150.6, z = 46.77}, 
		  Size     = {x = 6.0, y = 6.0, z = 2.0},
		  Color    = {r = 117, g = 218, b = 255},
		  DrawDistance = 200.0,
		},
		BlipSL = { --safehouse Vehicle blip 
		  Title = "Mission Vehicle Safehouse",
		  Position = { x = -2451.21, y = 3134.29, z = 32.82, heading = 156.25}, --{ x = 1944.96, y = 3150.6, z = 46.77},
		  Icon     = 421,
		  Display  = 4,
		  Size     = 1.2,
		  Color    = 3,
		  Alpha	 =80, 
		},
		BlipSB = { --safehouse boat blip 
		  Title = "Mission Boat Safehouse",
		  Position = {x = -3238.09, y = 3380.0, z = 0.18}, --{ x = 1944.96, y = 3150.6, z = 46.77},
		 Icon     = 404,
		  Display  = 4,
		  Size     = 1.2,
		  Color    = 3,
		  Alpha	 =80, 
		},
	},	

	
}


--Config.UseESX=false    

--List of vehicles with their seatids
--**You can seatids to auto-fill passengers as well, not just turrets**
--**All vehicle seats for all vehicles get auto-populated for NPCs**
--**Use this to override that, to set only certain seatids**
Config.VehicleTurretSeatIds = {
	apc = {0},
	barrage = {0,1,2},
	halftrack = {0,1},
	dune3 = {0},
	insurgent = {0,1,2,3,4,5,6,7},
	insurgent3 = {0,1,2,3,4,5,6,7},
	technical = {0,1},
	technical2 = {0,1},
	technical3 = {0,1},
	limo2 = {0,1,2,3},
	menacer = {0,1,2,3},
	boxville5 = {0,1,2,3},
	toro2={0,1,2,3},
	--tampa3={0},
	valkyrie={0,1,2,3,4}, --how many seatids? 
	valkyrie2={0,1,2,3,4}, --how many seatids? 
	buzzard2={0,1,2,3,4}, --how many seatids? 
	maverick={0,1,2,3,4}, --how many seatids? 
	akula={0,1}, --how many seatids? 
	caracara = {0,1,2,3},
	ruiner2 = {0},
	nightshark = {0,1,2},
	dinghy4 = {0,1,2,3},
	pounder2 = {0,1,2,3,4,5,6,7},
	brutus = {0},
	bombushka = {0,1,2,3,4},
	--avenger = {0,1,2,3},
}


--will spawn with AA trailer
--has to be these vehicles: https://gta.fandom.com/wiki/Anti-Aircraft_Trailer
Config.TowVehicles = {
"nightshark"

} 


--**Nerfs are DEPRECATED EXCEPT FOR NerfValkyrieHelicopterCannon**, all fire patterns are done per vehicle in doVehicleMods function now in client.lua:
--make the cannon on the Valkyrie Helicopter shoot much slower
Config.NerfValkyrieHelicopterCannon = true
--make the cannon on the APC shoot much slower like a tank
Config.NerfAPCCannon = false
--make the cannon on the khanjali and rhino tanks shooter more like a tank
Config.NerfTankCannon = false
--make all other turrets in any other vehicle nerfed? (burst shots vs 30-50 rounds at a time)
Config.NerfTurrets = false
--make any driver control weapons nerfed?
Config.NerfDriverTurrets = false
---


--Fast firing peds
Config.FastFiringPeds = true

--Configure Boss health. Chance to appear in IsRandom missions with RandomMissionBossChance
--in regular missions, use isBoss=true
Config.BossHealth = 1000 


--**START RANDOM MISSION GENERATOR SETTINGS**--
Config.RandomMissionSpawnRadius = 50.0 --keep a float for enemy ped wandering to work
Config.RandomMissionMaxPedSpawns = 30
Config.RandomMissionMinPedSpawns = 15
Config.RandomMissionBossChance =  5
Config.RandomMissionMaxVehicleSpawns = 4
Config.RandomMissionMinVehicleSpawns = 1
Config.RandomMissionChanceToSpawnVehiclePerTry = 100
Config.RandomMissionAircraftChance = 25

--forces only land spawns for random anywhere missions
Config.RandomMissionDoLandBattle = true

Config.StartMessageObj = "Capture the objective!"
Config.FinishMessageObj = "Mission Completed!"
Config.MissionTitleObj = "Takeover"
Config.MissionMessageObj = "Capture the objective!"	
	
Config.StartMessageAss = "Eliminate the targets!"
Config.FinishMessageAss = "Mission Completed!"
Config.MissionTitleAss = "Elimination"
Config.MissionMessageAss = "Eliminate the targets"	
	
	

Config.RandomMissionTypes = {"Assassinate","Objective"}


--START HOSTILE AMBIENT PEDS

--VALUES: 0: no hostiles, 1: hostiles have less infighting (most dangerous)
--2: a little more infighthing between hostiles.
--3: riot mode, virtually all peds hate each other as well. 
Config.HostileAmbientPeds = 1

--mostly melee weapons and pistols, with a few heavier weapons, also rpg + homing launcher
Config.RandomHostileZoneWeapons = {0xDD5DF8D9,0xDFE37640,0x958A4A8F,0x92A27487,0x84BD7BFD,0xF9E6AA4B,0x440E4788,0x4E875F73,
0xF9DCBF2D,0xD8DF3C3C,0x99B507EA,0x19044EE0,0xCD274149,0x94117305,0x3813FC08,
0xBFE256D4,0x22D8FE39,0x99AEEB3B,0x88374054,0xD205520E,0xCB96392F,0xEF951FBB,0xA89CB99E,0x7846A318,0xBD248B55,0x394F415C,0x05FC3C11,
0x63AB0442,0xB1CA77B1,0x84D6FAFD,0x0781FE4A,0x42BF8A85
 }
 --melee, pistols and some micro smg, and rpg and homing missile
 --**they will get out of the vehicle if they have non-drive by weapons**
Config.RandomHostileZoneVehicleWeapons = {
0xDD5DF8D9,0xDFE37640,0x958A4A8F,0x92A27487,0x84BD7BFD,0xF9E6AA4B,0x440E4788,0x4E875F73,
0xF9DCBF2D,0xD8DF3C3C,0x99B507EA,0x19044EE0,0xCD274149,0x94117305,0x3813FC08,
0xBFE256D4,0x22D8FE39,0x99AEEB3B,0x88374054,0xCB96392F,0x13532244,0x13532244,0xD205520E,
0xB1CA77B1,0x63AB0442,0x0781FE4A,0x42BF8A85 
}
--END HOSTILE AMBIENT PEDS

--RANDOM MISSION PEDS:

Config.RandomMissionWeapons = {0x1B06D571,0xBFE256D4,0x88374054,0xCB96392F,0x5EF9FEC4,0xE284C527,0x83BF0278,0xBFEFFF6D,0xD205520E,0x13532244,
0x2BE6766B, 0x2BE6766B, 0xEFE7E2DF,0x0A3D4D34,0xDB1AA450,0xBD248B55,0x1D073A89,0x555AF99A,0x7846A318,0xE284C527,0x9D61E50F,0x3AABBBAA,0xEF951FBB,
 0x12E82D3D,0x42BF8A85,0x42BF8A85,0x42BF8A85,0xC734385A,0xBFEFFF6D,0x42BF8A85,
 0xBFEFFF6D,0xBFEFFF6D,0x394F415C,0x394F415C,0x83BF0278,0x83BF0278,0xFAD1F1C9,0xFAD1F1C9,0xAF113F99,0xC0A3098D,0x969C3D67,0x7F229F94,0x84D6FAFD,
 0x624FE830,0x9D07F764,0x7FD62962,0xDBBD7280,0x61012683,0x83BF0278,0x83BF0278,0x83BF0278,0xBFEFFF6D,0xBFEFFF6D,0x394F415C,0x394F415C,0xC0A3098D,
 0x969C3D67,0x05FC3C11,0x05FC3C11,0x05FC3C11,0xB1CA77B1,0xB1CA77B1,0xB1CA77B1,0x63AB0442,0x63AB0442,0x63AB0442,0xB1CA77B1,0x0781FE4A,0x0781FE4A,
 0x0C472FE2,0x0C472FE2,0xC1B3C3D1,0xC1B3C3D1,0xEFE7E2DF,0xEFE7E2DF
 
 }
 
 
 
 --what do peds in vehicles carry? Use drive-by weapons like micro-smg
Config.RandomMissionVehicleWeapons = {0x13532244}

--IsRandom -> IsDefend -> IsDefendTarget configuration
Config.IsDefendTargetRescue = true
Config.IsDefendTargetMaxHealth = 600 --need to make this a little higher
--Config.IsDefendTargetMaxArmor = 100 --just give armor = 100

Config.IsDefendTargetRandomPeds = {"ig_bankman","a_f_y_business_02","u_f_y_princess","ig_tomepsilon"}

Config.IsDefendTargetRandomPedWeapons = {0xE284C527,0x83BF0278,0xBFEFFF6D}



Config.IsDefendTargetRandomVehicles = {	
"kuruma2",
}


Config.IsDefendTargetRandomAircraft = {
"hydra",
"lazer",
"strikeforce"
}

Config.IsDefendTargetRandomBoat = {
"dinghy4",
"seashark",
"toro2",
"marquis",
"jetmax"
}


 --randomlocation.DefendTargetInVehicle
--.DefendTargetVehicleIsAircraft
--.DefendTargetVehicleIsBoat

Config.RandomMissionPositions = { 

{ x = -973.87, y = -273.67, z = 38.26, MissionTitle="Arcade"}, --cul de sac near studios
 
{ x = -1102.97, y = -424.98, z = 44.37, MissionTitle="News Studio" }, --news channel/studio building roof
{ x = -1223.9, y = -493.83, z = 31.51, MissionTitle="Back Alley" }, --news channel/studio in cul de sac

{ x = 2840.52, y = -1449.96, z = 11.95, MissionTitle="The Island"}, --island

{ x = 1074.41, y = 3072.94, z = 40.82, MissionTitle="Desert Airstrip"}, --desert airstrip

{x = -149.29, y = -960.51, z = 269.13, MissionTitle="High Rise"}, --construction tower

{ x = -1393.62, y = -2562.09, z = 13.95, MissionTitle="Airport" }, --airport

{ x = 137.07, y = -3204.05, z = 5.86,  MissionTitle="Docks" }, --walkers docks
{ x = -1828.32, y = -1218.22, z = 13.03, MissionTitle="The Pier" }, --pier

{ x = -547.74, y = -1477.3, z = 10.14, MissionTitle="Freeway Hideaway" }, --center greenery	

{ x = 1485.24, y = -2358.31, z = 72.44, MissionTitle="Oil Fields" }, --oilfields


{ x = 58.43, y = -1133.28, z = 29.34, MissionTitle="Street Smart"}, --los santos road
{ x = -808.9, y = -1302.95, z = 5.0, MissionTitle="Marina" }, --yacht club

{ x = 31.0, y = -767.1, z = 44.24, MissionTitle="Business District" }, --center los santos

{ x = 1874.74, y = 299.22, z = 162.82, MissionTitle="Resevoir" }, --resevoir

{ x = 1373.59, y = -739.58, z = 67.23, MissionTitle="Suburban Sprawl"}, --cul de sac

{ x = 1150.09, y = 124.3, z = 82.12, MissionTitle="Race Track"}, --race track

--'force = true' stops ray trace checking for spawn points for peds and vehicles, so peds/vehicles can spawn underneath structures... near the spawn location 
--this also means that peds/vehicles can spawn hidden in buildings, so this forces the mission type to be "Objective"
--{ x = -177.69, y = -165.11, z = 44.03, MissionTitle="Concierge Service", force=true}, --hotel north los santos 

{ x = -2237.38, y = 266.45, z = 174.62, MissionTitle="The Ritz" },
 --ritz hotel

{ x = -412.9, y = 1170.53, z = 325.84, MissionTitle="Observatory"}, --observatory

{ x = 756.1, y = 1284.89, z = 360.3, MissionTitle="Vinewood" }, --vinewood sign

{ x = -1907.85, y = 2037.05, z = 140.74, MissionTitle="Wine Country"}, --vineyard

{ x = -1833.24, y = 2152.89, z = 115.7, MissionTitle="Vinery"}, --vineyard 2

{ x = -2548.21, y = 2705.28, z = 2.84, MissionTitle="Secret Bunker" }, --outside base

{ x = -2405.68, y = 4253.63, z = 9.82, MissionTitle="Point Break"}, --nw beach

{ x = 57.0, y = 3717.01, z = 39.75, MissionTitle="Trailer Park"},--lost caravans
{ x = 1816.42, y = 3794.64, z = 33.65, MissionTitle="Dust Bowl"}, --south salton
{ x = 1313.35, y = 4327.67, z = 38.21, MissionTitle="Fish Monger" }, --north salton

{ x = 3572.73, y = 3665.03, z = 33.89, MissionTitle="The Complex"}, --humane labs

{ x = 3803.26, y = 4462.52, z = 4.75, MissionTitle="Getaway" }, --north east coast

{ x = -1122.74, y = 4924.89, z = 218.67, MissionTitle="Compound"  }, --cult

{ x = -578.96, y = 5321.1, z = 70.21, MissionTitle="Sawmill" }, --sawmill

{ x = -31.49, y = 6441.9, z = 31.43, MissionTitle="Community Chest"  }, --parking lot uppoer NW

{ x = 28.76, y = 6216.7, z = 31.54, MissionTitle="Railyard"  }, --by railyard upper nw
{ x = 1429.43, y = 6517.94, z = 18.91, MissionTitle="Scenic Route"  }, --uppper coast


}



--{{ x = 1074.41, y = 3072.94, z = 40.82},{ x = 302.86, y = 4373.86, z = 51.61 }, { x = -2074.59, y = 1475.03, z = 275.15 }, {x = 1657.106, y = 428.6742, z = 245.6912}}
Config.RandomMissionPeds = {"s_m_y_ammucity_01","s_m_y_xmech_02","U_M_Y_Tattoo_01","g_m_m_chicold_01","s_m_y_dealer_01","g_m_y_lost_01","g_m_y_lost_02","g_m_y_lost_03","s_m_y_xmech_02_mp","s_m_y_robber_01","g_f_y_lost_01","u_f_y_bikerchic"}

--juggernauts will spawn with railgun others minigun:
Config.RandomMissionBossPeds = {"ig_clay","mp_m_exarmy_01","ig_josef","ig_ramp_mex","ig_terry","mp_m_bogdangoon","mp_m_weapexp_01","csb_jackhowitzer","u_m_y_juggernaut_01","u_m_y_juggernaut_01","ig_cletus","u_m_y_juggernaut_01"} --csb_jackhowitzer, u_m_y_juggernaut_01 
Config.RandomMissionFriendlies = {"a_f_m_tourist_01","a_m_y_vinewood_03","a_m_m_tourist_01","a_m_y_genstreet_01","a_f_o_genstreet_01","a_m_y_genstreet_02","a_f_y_genhot_01"}
Config.RandomMissionVehicles = {	
	"apc",
	"apc",
	"barrage",
	"halftrack",
	"dune3",
	"insurgent",
	"insurgent3",
	"technical",
	"technical2",
	"technical3",
	"limo2",
	"menacer",
	"rhino",
	"khanjali",
	"trailersmall2",
	"tampa3",
	"caracara",
	"blazer4",
	"bf400",
	"mule4",
	"kuruma2",
	"brutus",
	"nightshark",
	"bruiser",
	"dominator4",
	"impaler2",
	"imperator",
	"zr380",
	"issi4",
	"deathbike",
	"oppressor",
	"scarab",
	"slamvan4",
	"speedo4",
	"oppressor2",
	"boxville5",
	"crusader",
	"pounder2",
	"trailerlarge",
}

--Config.RandomMissionVehicles = {

	--"thruster",
--}


Config.RandomMissionAircraft = {
"hydra",
"lazer",
"strikeforce",
"valkyrie",
"valkyrie2",
"buzzard2",
"maverick",
"hunter",
"akula",
"starling",
"mogul",
"rogue",
"nokota",
"molotok",
"tula",
"pyro",
"bombushka",
"seabreeze",
"volatol",

}
--used for IsRandomSpawnAnywhere missions, for when the random position is on water.
Config.RandomMissionBoat = {
"dinghy4",
"seashark",
"toro2",
"jetmax",
"technical2",
"blazer5",
"apc",
}

Config.RandomMissionProps = {
	"ba_prop_battle_crate_m_hazard",
	"imp_prop_impexp_boxcoke_01",
	"ex_prop_crate_expl_sc",
	"sm_prop_smug_crate_l_narc",
	"ex_prop_crate_money_sc",
	"ex_prop_crate_jewels_racks_sc",
	"prop_large_gold",
	"xm_prop_crates_sam_01a",
	"prop_drop_crate_01_set",
	"prop_box_ammo03a_set2",
	"prop_biotech_store",
	"prop_air_cargo_04c",
	"prop_air_cargo_04a",
	"hei_prop_carrier_bombs_1",
	"ex_prop_crate_narc_sc",
	"prop_weed_pallet",
	"prop_cash_crate_01",
	"prop_box_ammo03a_set",
	"hei_prop_heist_weed_pallet_02",
	"hei_prop_carrier_cargo_05b"
	
	
	}


--**END RANDOM MISSION GENERATOR SETTINGS**--


Config.Missions = {

  
  Mission1 = {
    
	StartMessage = "Stop the mercs from stealing~n~bio nanotechnology to sell on the black market",
	FinishMessage = "Mission Completed!",
	MissionTitle = "Killing Floor",
	MissionMessage = "Stop the mercs from stealing bio nanotechnology to sell on the black market",	
	Type = "Objective",	
	IndoorsMission = true,
	SafeHouseVehicleCount = 6,
	SafeHouseAircraftCount = 4,
	SafeHouseBoatCount = 3,
	SafeHouseSniperExplosiveRoundsGiven=0,
	SafeHouseVehicles = {
	"kuruma2",
	"insurgent3",
	},
	SafeHouseAircraft = 
	{
	"hydra",
	"havok",
	"thruster",
	"avenger",

	},

    Blip = {
      Title = "Humane Labs Entrance",
      Position = { x = 3623.61, y = 3754.3, z =  28.52},
      Icon     = 58,
      Display  = 4,
      Size     = 1.2,
      Color    = 1,
    },

    Marker = {
      Type     = 1,
      Position = { x = 3524.76, y = 3707.86, z = 19.99}, 
      Size     = {x = 6.0, y = 6.0, z = 2.0},
      Color    = {r = 100, g = 100, b = 204},
      DrawDistance = 100.0,
    },
	BlipS = { --safehouse blip 
		  Title = "Mission Safehouse",
		  Position = { x = 1731.94, y = 3308.24, z = 41.22}, --{ x = 1944.96, y = 3150.6, z = 46.77},
		  Icon     = 417,
		  Display  = 4,
		  Size     = 1.2,
		  Color    = 2,
		  Alpha	 =80, 
	},	
	MarkerS = { --safehouse marker
		  Type     = 1,
		  Position = { x = 1731.94, y = 3308.24, z = 40.22},  --{  x = 1944.96, y = 3150.6, z = 46.77}, 
		  Size     = {x = 6.0, y = 6.0, z = 2.0},
		  Color    = {r = 117, g = 218, b = 255},
		  DrawDistance = 200.0,
	},
	BlipSL = { --safehouse Vehicle blip 
		  Title = "Mission Vehicle Safehouse",
		  Position = { x = 1480.63, y = 3167.93, z = 40.99}, --{ x = 1944.96, y = 3150.6, z = 46.77},
		  Icon     = 421,
		  Display  = 4,
		  Size     = 1.2,
		  Color    = 3,
		  Alpha	 =80, 
	},
	BlipSB = { --safehouse boat blip 
		  Title = "Mission Boat Safehouse",
		  Position = {x = 1481.84, y = 3873.37, z = 30.04}, --{ x = 1944.96, y = 3150.6, z = 46.77},
		 Icon     = 404,
		  Display  = 4,
		  Size     = 1.2,
		  Color    = 3,
		  Alpha	 =80, 
	},	
	
	--***Must Set 'realId' too, which must is always the same as 'id' for props to not float***
	Props = {
	
		{ id=1,  Name = "prop_barrel_exp_01a", Position = { x = 3614.75, y = 3747.91, z = 28.69, heading = 122.62 }},
		{ id=2,  Name = "prop_barrel_exp_01b", Position = { x = 3609.18, y = 3740.13, z = 28.69, heading = 164.03 }},
		{ id=3,  Name = "prop_barrel_exp_01c", Position = { x = 3615.09, y = 3734.99, z = 28.69, heading = 194.87 }},
		{ id=4,  Name = "prop_barrel_exp_01a", Position = { x = 3614.75, y = 3726.15, z = 28.69, heading = 155.23 }},
		
		{ id=5,  Name = "prop_barrel_exp_01b", Position = { x = 3605.65, y = 3729.52, z = 29.69, heading = 160.13 }},
		{ id=6,  Name = "prop_barrel_exp_01c", Position = { x = 3601.47, y = 3706.07, z = 29.69, heading = 326.51 }},
		{ id=7,  Name = "prop_barrel_exp_01a", Position = { x = 3599.05, y = 3717.99, z = 29.69, heading = -24.46 }},
		{ id=8,  Name = "prop_barrel_exp_01b", Position = { x = 3592.93, y = 3705.9, z = 29.69, heading = 237.64 }},
		
		{ id=9,  Name = "prop_barrel_exp_01c", Position = { x = 3593.42, y = 3690.41, z = 28.82, heading = 243.09 }},
		{ id=10,  Name = "prop_barrel_exp_01a", Position = { x = 3603.79, y = 3687.89, z = 28.82, heading = 150.95 }},
		{ id=11,  Name = "prop_barrel_exp_01b", Position = { x = 3569.03, y = 3700.77, z = 28.12, heading = -37.27 }},
		{ id=12,  Name = "prop_barrel_exp_01c", Position = { x = 3566.83, y = 3702.27, z = 28.12, heading = 170.67 }},

		{ id=13,  Name = "prop_barrel_exp_01a", Position = { x = 3561.57, y = 3665.82, z = 28.12, heading = 70.78 }},
		{ id=14,  Name = "prop_barrel_exp_01b", Position = { x = 3541.91, y = 3641.82, z = 28.12, heading = 394.39 }},
		{ id=15,  Name = "prop_barrel_exp_01c", Position = { x = 3535.68, y = 3666.66, z = 28.12, heading = 106.65 }},
		{ id=16,  Name = "prop_barrel_exp_01a", Position = { x = 3519.75, y = 3673.39, z = 20.99, heading = 346.55 }},
		{ id=17,  Name = "prop_barrel_exp_01b", Position = { x = 3527.08, y = 3693.7, z = 20.99, heading = 228.84 }},
		{ id=18,  Name = "prop_barrel_exp_01c", Position = { x = 3526.85, y = 3710.68, z = 20.99, heading = 235.64 }},
		{ id=19,  Name = "prop_barrel_exp_01a", Position = { x = 3521.7, y = 3712.3, z = 20.99, heading = 56.34 }},
		{ id=20,  Name = "v_ilev_body_parts", Position = { x = 3527.89, y = 3697.44, z = 20.99, heading = 104.79 }},
		{ id=21,  Name = "xm_prop_x17_corpse_03", Position = { x = 3551.93, y = 3662.89, z = 28.12, heading = 30.7 }},
		{ id=22,  Name = "v_ilev_body_parts", Position = { x = 3597.09, y = 3727.58, z = 29.69, heading = 106.46 }},

		{ id=19,  Name = "v_ilev_body_parts", Position = { x = 3522.95, y = 3707.81, z = 20.99, heading = 121.43  }},
		{ id=20,  Name = "v_ilev_body_parts", Position = { x = 3588.04, y = 3682.53, z = 27.62, heading = 99.84 }},
		{ id=21,  Name = "xm_prop_x17_corpse_03", Position = { x = 3594.12, y = 3714.44, z = 29.69, heading = 233.54 }},
		{ id=22,  Name = "v_ilev_body_parts", Position = { x = 3613.47, y = 3723.51, z = 29.69, heading = 414.03 }},
		{ id=23,  Name = "prop_barrel_exp_01a", Position = {x = 3617.64, y = 3728.41, z = 28.69, heading = 357.21 }},
		{ id=24,  Name = "ba_prop_battle_crate_m_hazard", Position = {x = 3524.76, y = 3707.86, z = 20.99, heading = 172.28 }},
		{ id=25,  Name = "prop_barrel_exp_01a", Position = {x = 3617.64, y = 3728.41, z = 28.69, heading = 357.21 }}
		
	
    },
	
	
	



	
	Pickups = {
	},
	MissionPickups = {
		
	},	
		
	

    Peds = {
	
		{id = 1,  Weapon = 0x05FC3C11,  modelHash = "S_M_M_ChemSec_01",  x = 3526.19, y = 3710.34, z = 20.99, heading = 3.53, dead=true},
		{id = 2,  Weapon = 0x05FC3C11,  modelHash = "S_M_M_ChemSec_01",   x = 3530.37, y = 3704.78, z = 20.99, heading = 267.28,dead=true},
		{id = 3,   modelHash = "g_m_m_chemwork_01",  x = 3526.79, y = 3673.34, z = 28.12, heading = 54.53 ,dead=true },
		{id = 4,   modelHash = "s_m_m_scientist_01",  x = 3539.46, y = 3664.12, z = 28.12, heading = 343.71, dead=true},
		{id = 5,   modelHash = "s_m_m_scientist_01",  x = 3563.64, y = 3688.87, z = 28.12, heading = 16.29,dead=true},
		{id = 6,  Weapon = 0xBFEFFF6D,  modelHash = "S_M_M_ChemSec_01",   x = 3620.66, y = 3731.14, z = 28.69, heading = 298.3,dead=true },
		{id = 7, modelHash = "a_c_chimp",    x = 3607.87, y = 3745.12, z = 28.69, heading = 264.35, wander=true,friendly=true},
		{id = 8, Weapon = 0xBFEFFF6D,  modelHash = "s_m_y_robber_01",    x = 3612.36, y = 3742.82, z = 28.69, heading = 316.25  ,},
		{id = 9, Weapon = 0x42BF8A85,   modelHash = "u_m_y_juggernaut_01", isBoss=true,   x = 3620.38, y = 3743.84, z = 28.69, heading = 138.39 },
		--{id = 10, Weapon = 0xBFEFFF6D,  modelHash = "g_m_y_lost_01",  x = 3622.78, y = 3744.73, z = 28.69, heading = 143.37  ,},
		{id = 10, Weapon =0x7846A318,  modelHash = "s_m_y_xmech_02",    x = 3623.65, y = 3741.76, z = 28.69, heading = 318.45  },
		{id = 11,Weapon = 0xBFEFFF6D,   modelHash = "g_m_y_lost_02",     x = 3625.98, y = 3736.97, z = 28.69, heading = 72.05  ,},
		--{id = 13, Weapon =0xE284C527,  modelHash = "U_M_Y_Tattoo_01",    x = 3617.07, y = 3736.34, z = 28.69, heading = 4.08 },
		{id = 12,  Weapon = 0xDBBD7280,  modelHash = "s_m_y_dealer_01",     x = 3621.54, y = 3732.85, z = 28.69, heading = 389.56  ,},
		
		{id = 13, Weapon =0xEFE7E2DF,  modelHash = "mp_m_exarmy_01",    x = 3610.95, y = 3742.67, z = 28.69, heading = 259.69 },
		{id = 14,  Weapon = 0xBFEFFF6D, modelHash = "g_m_y_lost_03",    x = 3610.96, y = 3734.39, z = 28.69, heading = 316.39  ,},
		
		{id = 15, Weapon =0x83BF0278,  modelHash = "ig_josef",    x = 3615.56, y = 3729.56, z = 28.69, heading = 313.9  },
		--{id =18,   Weapon =0x83BF0278, modelHash = "u_f_y_bikerchic",     x = 3608.35, y = 3730.52, z = 29.69, heading = 328.71 ,},
		
		{id = 16,  Weapon =0x83BF0278, modelHash = "ig_Cletus",     x = 3612.11, y = 3724.65, z = 29.69, heading = 291.04 },
		{id = 17,   Weapon = 0xBFEFFF6D,  modelHash = "g_f_y_lost_01",    x = 3608.14, y = 3721.37, z = 29.69, heading = 313.19  ,},
		
		{id = 18, Weapon =0xE284C527,  modelHash = "G_M_M_ChiCold_01",     x = 3603.05, y = 3707.52, z = 29.69, heading = 312.44  },
		--{id = 22,  Weapon =0x83BF0278, modelHash = "s_m_y_xmech_02_mp",    x = 3607.35, y = 3709.07, z = 29.69, heading = 313.05  ,},
		
		{id = 19, Weapon =0xEFE7E2DF,  modelHash = "ig_terry",    x = 3596.54, y = 3702.11, z = 29.69, heading = 333.55 },
		{id = 20, Weapon = 0xDBBD7280,  modelHash = "ig_clay",   x = 3597.34, y = 3709.02, z = 29.69, heading = 213.63  ,},
		
		{id = 21,  Weapon =0x83BF0278, modelHash = "mp_m_weapexp_01",    x = 3602.85, y = 3720.5, z = 29.69, heading = 127.06  },
		--{id = 26,  Weapon =0x83BF0278, modelHash = "mp_m_weapexp_01",      x = 3605.29, y = 3722.86, z = 29.69, heading = 117.92  ,},
		
		{id = 22,  Weapon =0x7846A318, modelHash = "s_m_y_xmech_02",     x = 3597.49, y = 3728.78, z = 29.69, heading = 185.09  },
		{id = 23,  Weapon =0x7846A318, modelHash = "U_M_Y_Tattoo_01",    x = 3599.14, y = 3721.5, z = 29.69, heading = 366.78  ,},
		
		{id = 24, Weapon =0x83BF0278,  modelHash = "u_f_y_bikerchic",    x = 3592.46, y = 3717.54, z = 29.69, heading = 319.06  },
		--{id = 30, Weapon =0x7846A318, modelHash = "csb_jackhowitzer",    x = 3594.58, y = 3705.83, z = 29.69, heading = 37.51  ,},
		
		{id = 25, Weapon =0x83BF0278,  modelHash = "U_M_Y_Tattoo_01",     x = 3583.5, y = 3700.23, z = 28.82, heading = 254.28  },
		--{id = 32,  Weapon = 0xBFEFFF6D,  modelHash = "G_M_M_ChiCold_01",     x = 3590.45, y = 3694.82, z = 28.82, heading = 56.95  ,},
		{id = 26, Weapon =0xE284C527,  modelHash = "s_m_y_dealer_01",    x = 3594.69, y = 3696.06, z = 28.82, heading = 152.86  , wander=true,},
		
		--{id = 34,  Weapon =0xE284C527,  modelHash = "s_m_y_dealer_01",     x = 3595.62, y = 3691.26, z = 28.82, heading = 48.78  ,},
		
		{id = 27, Weapon =0xEFE7E2DF,  modelHash = "G_M_M_ChiCold_01",    x = 3604.55, y = 3689.28, z = 28.82, heading = 83.36  , wander=true,},
		{id = 28,  Weapon = 0xBFEFFF6D,  modelHash = "g_m_y_lost_01",     x = 3600.31, y = 3691.59, z = 28.82, heading = 193.99  ,},
		--{id = 37,  Weapon =0x83BF0278, modelHash = "G_M_M_ChiCold_01",    x = 3592.17, y = 3681.08, z = 27.62, heading = 330.71  , wander=true},
		{id = 29,  Weapon = 0xBFEFFF6D,  modelHash = "g_m_y_lost_02",   x = 3595.62, y = 3684.42, z = 27.62, heading = 351.13  ,},
		--{id = 39, Weapon =0xE284C527,  modelHash = "s_m_y_robber_01",    x = 3586.29, y = 3683.54, z = 27.62, heading = 236.35  , wander=true,},
		{id = 30, Weapon = 0xBFEFFF6D,  modelHash = "g_m_y_lost_03",     x = 3585.98, y = 3691.95, z = 27.12, heading = 90.01  ,},
		--{id = 41, Weapon =0xE284C527,  modelHash = "G_M_M_ChiCold_01",    x = 3577.21, y = 3691.32, z = 27.12, heading = 278.91  , wander=true,},
		{id = 31, Weapon = 0xBFEFFF6D,  modelHash = "s_m_y_ammucity_01",   x = 3568.48, y = 3701.5, z = 28.12, heading = 155.69  ,},
		
		--{id = 43,  Weapon =0x83BF0278, modelHash = "s_m_y_xmech_02",    x = 3566.67, y = 3699.71, z = 28.12, heading = 183.55  , wander=true,},
		{id = 32,  Weapon = 0x0781FE4A, modelHash = "s_m_y_xmech_02_mp",    x = 3560.11, y = 3695.33, z = 30.12, heading = 252.14  ,},
		
		{id = 33, Weapon =0x83BF0278,  modelHash = "U_M_Y_Tattoo_01",    x = 3568.26, y = 3690.12, z = 28.12, heading = 34.65  , wander=true,},
		{id = 34,  Weapon =0xDBBD7280,  modelHash = "s_m_y_ammucity_01",    x = 3562.11, y = 3690.99, z = 28.12, heading = 231.7  ,},
		--{id = 47, Weapon =0x7846A318,  modelHash = "s_m_y_ammucity_01",    x = 3558.75, y = 3683.78, z = 28.12, heading = 208.97  , wander=true,},
		{id = 35, Weapon = 0xBFEFFF6D,  modelHash = "g_f_y_lost_01",    x = 3562.24, y = 3672.44, z = 28.12, heading = 155.5  ,},
		{id = 36, Weapon =0xEFE7E2DF,  modelHash = "u_f_y_bikerchic",    x = 3554.45, y = 3670.03, z = 28.12, heading = 371.73  , wander=true,},
		--{id = 50, Weapon = 0xBFEFFF6D,  modelHash = "g_f_y_lost_01",   x = 3550.43, y = 3660.96, z = 28.12, heading = 267.42  ,},
		
		{id = 37,Weapon =0xE284C527,   modelHash = "s_m_y_xmech_02",    x = 3553.06, y = 3656.39, z = 28.12, heading = 87.65  , wander=true,},
		{id = 38, Weapon =0x83BF0278, modelHash = "s_m_y_xmech_02_mp",   x = 3548.44, y = 3641.4, z = 28.12, heading = 71.85  ,},
		--{id = 53, Weapon =0x83BF0278,  modelHash = "ig_josef",     x = 3530.73, y = 3649.31, z = 27.52, heading = 214.56  , wander=true,},
		{id = 39, Weapon = 0xBFEFFF6D,  modelHash = "s_m_y_robber_01",    x = 3529.29, y = 3654.43, z = 27.52, heading = 152.78  ,},
		
		{id = 40, Weapon =0x83BF0278,  modelHash = "U_M_Y_Tattoo_01",    x = 3536.76, y = 3665.0, z = 28.12, heading = 88.18  , wander=true},
		{id = 41,   Weapon = 0x0781FE4A,  modelHash = "g_f_y_lost_01",    x = 3527.02, y = 3672.52, z = 28.12, heading = 228.4  ,},
		{id = 42, Weapon =0x0781FE4A,  modelHash = "s_m_y_ammucity_01",    x = 3531.2, y = 3674.0, z = 28.12, heading = 223.67  , wander=true,},
		{id = 43,   modelHash = "mp_m_bogdangoon", isBoss=true,   x = 3540.19, y = 3671.29, z = 28.12, heading = 72.07  ,wander=true},
		--{id = 59,   modelHash = "U_M_Y_Zombie_01",    x = 3530.21, y = 3673.36, z = 20.99, heading = 273.58  ,},
		{id = 45, Weapon =0x7846A318,  modelHash = "G_M_M_ChiCold_01",    x = 3525.63, y = 3672.7, z = 20.99, heading = 254.06  , wander=true,},
		--{id = 61,   modelHash = "U_M_Y_Zombie_01",     x = 3521.6, y = 3678.05, z = 20.99, heading = 204.68 ,},
		{id = 46, Weapon =0xEFE7E2DF,  modelHash = "U_M_Y_Tattoo_01",     x = 3524.9, y = 3681.71, z = 20.99, heading = 115.88  , wander=true,},
		--{id = 63,   modelHash = "U_M_Y_Zombie_01",    x = 3528.33, y = 3698.45, z = 20.99, heading = 97.41  ,},
		{id = 47, Weapon =0x83BF0278,  modelHash = "G_M_M_ChiCold_01",     x = 3524.24, y = 3698.26, z = 20.99, heading = 144.75  , wander=true,},
		--{id = 65,   modelHash = "U_M_Y_Zombie_01",     x = 3526.08, y = 3693.92, z = 20.99, heading = 154.52  ,},
		{id = 48, Weapon =0xE284C527,  modelHash = "mp_m_exarmy_01",    x = 3523.45, y = 3711.96, z = 20.99, heading = 142.97  , wander=true,},
		--{id = 67,   modelHash = "U_M_Y_Zombie_01",    x = 3519.2, y = 3706.84, z = 20.99, heading = 249.19  ,},
		{id = 49, Weapon =0x83BF0278,  modelHash = "u_m_y_juggernaut_01", isBoss=true,   x = 3526.88, y = 3707.32, z = 20.99, heading = 214.36  , wander=true,},
		--{id = 50, Weapon =0xEFE7E2DF,  modelHash = "ig_Cletus",    x = 3528.11, y = 3714.45, z = 17.31, heading = 73.09  ,wander=true,},
		
		{id = 50,   modelHash = "mp_m_bogdangoon", isBoss=true,  x = 3595.62, y = 3691.26, z = 28.82, heading = 48.78  ,},
		{id = 51,   modelHash = "mp_m_bogdangoon", isBoss=true,   x = 3527.02, y = 3672.52, z = 28.12, heading = 228.4  ,},
		{id = 52,   modelHash = "a_c_chimp",    x = 3562.11, y = 3690.99, z = 28.12, heading = 231.7  ,wander=true,friendly=true},
		{id = 53,   modelHash = "a_c_chimp",    x = 3528.33, y = 3698.45, z = 20.99, heading = 97.41  ,wander=true,friendly=true},
		--{id = 40,   modelHash = "U_M_Y_Zombie_01",    x = 3525.66, y = 3721.34, z = 17.13, heading = 301.46 ,target=true},
		--{id = 41,   modelHash = "U_M_Y_Zombie_01",    x = 3607.87, y = 3745.12, z = 28.69, heading = 264.35 ,target=true},
		--{id = 42,   modelHash = "U_M_Y_Zombie_01",    x = 3529.71, y = 3717.15, z = 16.88, heading = 195.27  ,target=true},
		
		
		
    },
	
	

    Vehicles = {
      -- ID: id of NPC | name: Name of Blip | BlipID: Icone of Blip | VoiceName: NPC Talk When near it | Ambiance: Ambiance of Shop | Weapon: Hash of Weapon | modelHash: Model | X: Position x | Y: Position Y | Z: Position Z | heading: Where Npc look
   	  --**IMPORTANT: make sure the id of the ped starts from 1, each Peds id in above, increments by 1 and matches that entries index if it were in an array***
	  --vehicles are not consistent, so use ExtraPeds at your own discretion.
	  --Below takes a ped with id=1 from Peds above and will put it in seatid = -2   
	 -- {id = 1, id2 = 1, Vehicle = "annihilator", modelHash = "S_M_M_ChemSec_01",  x = -1166.42, y = 4641.5, z = 145.11, heading = 210.07,driving=true,pilot=true},
	 -- {id = 2, id2 = 2, Vehicle = "toro2", modelHash = "s_m_y_ammucity_01",  x = -3014.83, y = -43.5, z = 0.13, heading = 151.19, driving=true},
	 {id = 1, id2 = 1, Vehicle = "insurgent3", modelHash = "s_m_y_ammucity_01",  x = 3617.5, y = 3738.11, z = 28.69, heading = 28.27, Weapon=0x13532244,outside=true},
	 {id = 2, id2 = 2, Vehicle = "valkyrie", modelHash = "s_m_y_ammucity_01", x = 3588.96, y = 3766.57, z = 29.94 + 50, heading = 307.76,pilot=true, isAircraft=true,outside=true,Weapon=0x13532244},
	 {id = 3, id2 = 3, Vehicle = "valkyrie", modelHash = "s_m_y_ammucity_01", x = 3565.92, y = 3791.76, z = 30.06 + 50, heading = 364.31,pilot=true, isAircraft=true,outside=true,Weapon=0x13532244},
    }
  },
  
  Mission2 = {
    
	StartMessage = "Penetrate the mercenaries bunker to stop them~n~launching a nuke at Los Santos",
	FinishMessage = "Mission Completed!",
	MissionTitle = "Warhead Crisis",
	MissionMessage = "Penetrate the mercenaries bunker to stop them launching~n~a nuke at Los Santos",	
	Type = "Objective",	
	IndoorsMission = true,
	SafeHouseVehicleCount = 6,
	SafeHouseAircraftCount = 4,
	SafeHouseBoatCount = 3,
	SafeHouseVehicles = {
	"kuruma2",
	"insurgent3",
	},
	SafeHouseAircraft = 
	{
	"hydra",
	"havok",
	"thruster",
	"avenger",
	},

    Blip = {
      Title = "Bunker Entrance",
      Position = { x = -359.51, y = 4827.02, z = 143.34},
      Icon     = 58,
      Display  = 4,
      Size     = 1.2,
      Color    = 1,
    },

    Marker = {
      Type     = 1,
      Position = { x = 370.85, y = 6307.4, z = -161.54}, 
      Size     = {x = 6.0, y = 6.0, z = 2.0},
      Color    = {r = 100, g = 100, b = 204},
      DrawDistance = 100.0,
    },
		BlipS = { --safehouse blip 
		  Title = "Mission Safehouse",
		  Position = {x = -2108.16, y = 3275.45, z = 38.73}, --{ x = 1944.96, y = 3150.6, z = 46.77},
		  Icon     = 417,
		  Display  = 4,
		  Size     = 1.2,
		  Color    = 2,
		  Alpha	 =80, 
		},	
		 MarkerS = { --safehouse marker
		  Type     = 1,
		  Position = { x = -2108.16, y = 3275.45, z = 37.73},  --{  x = 1944.96, y = 3150.6, z = 46.77}, 
		  Size     = {x = 6.0, y = 6.0, z = 2.0},
		  Color    = {r = 117, g = 218, b = 255},
		  DrawDistance = 200.0,
		},
		BlipSL = { --safehouse Vehicle blip 
		  Title = "Mission Vehicle Safehouse",
		  Position = { x = -2451.21, y = 3134.29, z = 32.82, heading = 156.25}, --{ x = 1944.96, y = 3150.6, z = 46.77},
		  Icon     = 421,
		  Display  = 4,
		  Size     = 1.2,
		  Color    = 3,
		  Alpha	 =80, 
		},
		BlipSB = { --safehouse boat blip 
		  Title = "Mission Boat Safehouse",
		  Position = {x = -3238.09, y = 3380.0, z = 0.18}, --{ x = 1944.96, y = 3150.6, z = 46.77},
		 Icon     = 404,
		  Display  = 4,
		  Size     = 1.2,
		  Color    = 3,
		  Alpha	 =80, 
		},
	
	--***Must Set 'realId' too, which must is always the same as 'id' for props to not float***
	Props = {

	
    },
	
	
	



	
	Pickups = {
	},
	MissionPickups = {
		
	},	
		
	

    Peds = {
		{id = 1,  Weapon = 0xFAD1F1C9,  modelHash = "U_M_Y_Tattoo_01",  x = 581.79, y = 5965.57, z = -153.32, heading = 168.52  },
		{id = 2,  Weapon = 0xAF113F99,  modelHash = "s_m_y_xmech_02", x = 572.16, y = 5972.09, z = -153.32, heading = 171.29  },
		{id = 3,  Weapon = 0xAF113F99,  modelHash = "s_m_y_ammucity_01", x = 558.19, y = 5956.11, z = -157.99, heading = 201.44 },
		{id = 4,  Weapon = 0xEFE7E2DF,  modelHash = "G_M_M_ChiCold_01", x = 553.66, y = 5956.71, z = -158.09, heading = 307.29},
		{id = 5,  Weapon = 0xAF113F99,  modelHash = "s_m_y_xmech_02_mp", x = 555.68, y = 5922.74, z = -157.9, heading = 46.62  },
		{id = 6,  Weapon = 0xEFE7E2DF,  modelHash = "s_m_y_robber_01", x = 559.63, y = 5926.0, z = -157.9, heading = 50.34},	
		{id = 7,  Weapon = 0xE284C527,  modelHash = "g_m_y_lost_01",x = 533.99, y = 5937.42, z = -158.07, heading = 230.11 },
		{id = 8,  Weapon = 0xFAD1F1C9,  modelHash = "g_m_y_lost_02",x = 533.07, y = 5933.18, z = -158.07, heading = 226.83 },
		{id = 9,  Weapon = 0x7F229F94,  modelHash = "g_m_y_lost_03",x = 553.16, y = 5917.31, z = -157.9, heading = 54.23 },	
		{id = 10,  Weapon = 0xDBBD7280,  modelHash = "s_m_y_dealer_01",x = 531.54, y = 5898.68, z = -158.09, heading = 367.19},	
		{id = 11,  Weapon = 0x7F229F94,  modelHash = "g_f_y_lost_01",x = 527.91, y = 5923.28, z = -158.06, heading = 193.17 },		
		{id = 12,   modelHash = "mp_m_bogdangoon",isBoss=true, x = 498.41, y = 5938.22, z = -158.28, heading = 165.79},	
		{id = 13,   modelHash = "mp_m_weapexp_01",isBoss=true,x = 495.46, y = 5930.97, z = -158.29, heading = 306.82 },	
		{id = 14,  Weapon = 0xBFE256D4,  modelHash = "u_f_y_bikerchic", x = 512.07, y = 5920.63, z = -158.28, heading = 326.23},	
		{id = 15,  Weapon = 0xCB96392F,  modelHash = "U_M_Y_Tattoo_01",x = 518.65, y = 5925.72, z = -158.28, heading = 80.67  },				
		{id = 16,  Weapon = 0xA914799,  modelHash = "s_m_y_xmech_02",x = 480.19, y = 5948.9, z = -158.46, heading = 152.35 },		
		{id = 17,  Weapon = 0xB1CA77B1,  modelHash = "s_m_y_ammucity_01",x = 447.83, y = 5923.51, z = -158.27, heading = 329.33 },
		{id = 18,  Weapon = 0xA914799,  modelHash = "G_M_M_ChiCold_01",x = 437.75, y = 5918.56, z = -158.46, heading = 274.5 },		
		{id = 19,  Weapon = 0x2BE6766B,  modelHash = "s_m_y_robber_01",x = 438.25, y = 5915.35, z = -158.46, heading = 298.82 },
		{id = 20,  Weapon = 0x0A3D4D34,  modelHash = "g_m_y_lost_01",x = 455.18, y = 5956.97, z = -158.46, heading = 155.12 },
		{id = 21,  Weapon = 0x3AABBBAA,  modelHash = "g_m_y_lost_02",x = 442.1, y = 5948.76, z = -158.26, heading = 327.64  },
		{id = 22,  Weapon = 0x0781FE4A,  modelHash = "g_m_y_lost_03", x = 442.32, y = 5957.02, z = -158.25, heading = 168.52   },
		{id = 23,  Weapon = 0x7FD62962,  modelHash = "g_m_y_lost_02",x = 437.84, y = 5908.51, z = -158.25, heading = 255.04  },
		{id = 24,  Weapon = 0x394F415C,  modelHash = "g_m_y_lost_01", x = 445.57, y = 5906.75, z = -158.26, heading = 45.31   },
		{id = 25,  Weapon = 0xC0A3098D,  modelHash = "s_m_y_xmech_02_mp", x = 422.52, y = 5900.66, z = -157.99, heading = 253.6  },
		{id = 26,  Weapon = 0xC0A3098D,  modelHash = "g_f_y_lost_01",  x = 409.39, y = 5912.44, z = -158.11, heading = 205.92  },	
		{id = 27,  Weapon = 0xFAD1F1C9,  modelHash = "U_M_Y_Tattoo_01",  x = 390.21, y = 5920.91, z = -158.12, heading = 176.35  },	
		{id = 28,  Weapon = 0x12E82D3D,  modelHash = "G_M_M_ChiCold_01",  x = 361.72, y = 5924.72, z = -158.09, heading = 181.13   },	
		{id = 29,  Weapon = 0xAF113F99,  modelHash = "s_m_y_robber_01", x = 437.81, y = 5941.94, z = -158.27, heading = 83.27  },	
		{id = 30,  Weapon = 0xAF113F99,  modelHash = "u_f_y_bikerchic", x = 436.26, y = 5938.74, z = -158.27, heading = 77.63   },	
		{id = 31,  Weapon = 0xAF113F99,  modelHash = "s_m_y_xmech_02", x = 423.87, y = 5957.48, z = -158.27, heading = 260.58   },	
		{id = 32,  Weapon = 0xA914799,  modelHash = "s_m_y_dealer_01", x = 401.32, y = 5957.08, z = -158.27, heading = 178.04  },
		{id = 33,  Weapon = 0x7F229F94,  modelHash = "g_m_y_lost_03", x = 417.77, y = 5931.07, z = -158.27, heading = -4.24  },
		{id = 34,  Weapon = 0x7F229F94,  modelHash = "g_m_y_lost_01", x = 356.84, y = 5957.28, z = -158.27, heading = 208.07  },
		{id = 35,  Weapon = 0xFAD1F1C9,  modelHash = "g_m_y_lost_02",  x = 374.5, y = 5955.93, z = -158.27, heading = 177.73  },
		{id = 36,  Weapon = 0x9D61E50F,  modelHash = "g_f_y_lost_01", x = 397.02, y = 5929.28, z = -158.27, heading = -3.57  },		
		{id = 37,  Weapon = 0xFAD1F1C9,  modelHash = "s_m_y_ammucity_01", x = 342.42, y = 5955.82, z = -158.27, heading = 176.93  },
		{id = 38,  Weapon = 0xAF113F99,  modelHash = "s_m_y_ammucity_01",  x = 307.53, y = 5947.39, z = -158.27, heading = 270.88  },
		{id = 39,  Weapon = 0xB1CA77B1,  modelHash = "s_m_y_ammucity_01", x = 307.3, y = 5934.72, z = -158.27, heading = 258.44  },		
		{id = 40,   modelHash = "mp_m_bogdangoon",isBoss=true, x = 333.81, y = 5925.85, z = -158.25, heading = 62.01},	
		{id = 41,   modelHash = "mp_m_weapexp_01",isBoss=true,x = 315.12, y = 5965.36, z = -158.24, heading = 50.65 },	
		{id = 42,  Weapon = 0x7FD62962,  modelHash = "s_m_y_dealer_01", x = 318.72, y = 5908.81, z = -158.24, heading = 369.01  },	
		{id = 43,  Weapon = 0x7FD62962,  modelHash = "s_m_y_xmech_02_mp", x = 286.33, y = 5908.76, z = -158.98, heading = -29.67  },	
		{id = 44,  Weapon = 0x0781FE4A,  modelHash = "g_m_y_lost_03", x = 244.4, y = 5942.8, z = -159.5, heading = 284.28  },
		{id = 45,  Weapon = 0xFAD1F1C9,  modelHash = "s_m_y_ammucity_01", x = 250.6, y = 5966.11, z = -156.57, heading = 174.67  },	
		{id = 46,  Weapon = 0x969C3D67,  modelHash = "s_m_y_ammucity_01", x = 250.13, y = 5966.02, z = -159.45, heading = 180.79  },
		{id = 47,  Weapon =  0xDBBD7280,  modelHash = "s_m_y_ammucity_01", x = 314.44, y = 5996.67, z = -158.71, heading = 284.49  },
		{id = 48,  Weapon =  0x0781FE4A,  modelHash = "s_m_y_ammucity_01", x = 324.14, y = 6000.8, z = -157.84, heading = 83.24 },
		{id = 49,  modelHash = "ig_clay",isBoss=true,x = 241.95, y = 6054.34, z = -159.42, heading = 86.28 },
		{id = 50,  modelHash = "mp_m_exarmy_01",isBoss=true,x = 233.7, y = 6052.02, z = -159.41, heading = 306.18  },
		{id = 51,  modelHash = "ig_josef",isBoss=true,x = 242.1, y = 6096.22, z = -159.43, heading = 272.52 },
		{id = 52,  modelHash = "ig_terry",isBoss=true,x = 242.18, y = 6099.55, z = -159.43, heading = 237.63 },	
		{id = 53,  modelHash = "csb_jackhowitzer",isBoss=true, x = 254.25, y = 6105.82, z = -159.42, heading = 267.22 },
		{id = 54,  modelHash = "ig_cletus",isBoss=true, x = 262.78, y = 6106.07, z = -159.41, heading = 84.32 },
		{id = 55,  Weapon = 0xB1CA77B1,  modelHash = "g_f_y_lost_01", x = 247.77, y = 6124.75, z = -159.42, heading = 263.25 },	
		{id = 56,  Weapon = 0x0781FE4A,  modelHash = "u_f_y_bikerchic", x = 269.75, y = 6124.41, z = -159.42, heading = 63.9    },		
		{id = 57,  Weapon = 0xC734385A,  modelHash = "U_M_Y_Tattoo_01",x = 269.44, y = 6130.19, z = -159.42, heading = 81.01    },
		{id = 58,  modelHash = "u_m_y_juggernaut_01",isBoss=true, x = 245.48, y = 6165.79, z = -159.42, heading = 1.54 },
		{id = 59,  modelHash = "u_m_y_juggernaut_01",isBoss=true, x = 245.23, y = 6162.3, z = -159.42, heading = 160.7 },
		{id = 60,  Weapon = 0xAF113F99,  modelHash = "s_m_y_ammucity_01",x = 230.25, y = 6130.93, z = -159.42, heading = 352.29    },
		{id = 61,  Weapon = 0xAF113F99,  modelHash = "s_m_y_ammucity_01",x = 230.15, y = 6195.9, z = -159.42, heading = 174.76    },
		{id = 62,  Weapon = 0xDBBD7280,  modelHash = "s_m_y_ammucity_01",x = 250.25, y = 6139.56, z = -160.42, heading = 298.6    },
		{id = 63,  Weapon = 0xDBBD7280,  modelHash = "s_m_y_ammucity_01",x = 272.24, y = 6175.06, z = -158.42, heading = 73.7     },
		{id = 63,  Weapon = 0xAF113F99,  modelHash = "s_m_y_ammucity_01",x = 258.42, y = 6196.61, z = -159.42, heading = 170.84     },
		{id = 64,  Weapon = 0xAF113F99,  modelHash = "s_m_y_ammucity_01",x = 269.08, y = 6202.07, z = -159.42, heading = 82.96     },
		{id = 65,  Weapon = 0xDBBD7280,  modelHash = "s_m_y_ammucity_01",x = 248.76, y = 6206.18, z = -159.42, heading = 266.57     },
		{id = 66,  Weapon = 0xDBBD7280,  modelHash = "s_m_y_ammucity_01",x = 268.73, y = 6207.06, z = -159.42, heading = 87.61     },
		{id = 67,  Weapon = 0xAF113F99,  modelHash = "s_m_y_ammucity_01",x = 277.19, y = 6144.67, z = -154.42, heading = 55.84   },	
		{id = 68,  Weapon = 0xAF113F99,  modelHash = "s_m_y_ammucity_01", x = 251.56, y = 6147.15, z = -154.42, heading = 279.44   },	
		{id = 69,  Weapon = 0xAF113F99,  modelHash = "s_m_y_ammucity_01", x = 211.85, y = 6142.91, z = -154.42, heading = 295.94    },
		{id = 70,  Weapon = 0xAF113F99,  modelHash = "s_m_y_ammucity_01", x = 277.54, y = 6143.21, z = -154.42, heading = 48.84   },	
		{id = 71,  Weapon = 0xAF113F99,  modelHash = "s_m_y_ammucity_01", x = 264.91, y = 6191.9, z = -154.42, heading = 168.46    },
		{id = 72,  modelHash = "u_m_y_juggernaut_01",isBoss=true, x = 244.17, y = 6162.7, z = -152.42, heading = 363.01 },
		{id = 73,  Weapon = 0xDBBD7280,  modelHash = "s_m_y_ammucity_01", x = 251.85, y = 6245.01, z = -160.02, heading = 259.79    },
		{id = 74,  Weapon = 0xAF113F99,  modelHash = "s_m_y_ammucity_01", x = 265.91, y = 6223.58, z = -160.02, heading = 86.45    },
		{id = 75,  Weapon = 0xB1CA77B1,  modelHash = "s_m_y_ammucity_01", x = 266.56, y = 6258.29, z = -160.02, heading = 88.54    },
		{id = 76,  Weapon = 0xDBBD7280,  modelHash = "s_m_y_ammucity_01", x = 273.18, y = 6255.65, z = -160.22, heading = 4.43    },
		{id = 77,  Weapon = 0xDBBD7280,  modelHash = "s_m_y_ammucity_01", x = 292.27, y = 6257.57, z = -160.02, heading = 80.63    },
		{id = 78,  modelHash = "mp_m_exarmy_01",isBoss=true, x = 303.91, y = 6260.23, z = -160.22, heading = 112.79  },
		{id = 79,  Weapon = 0xAF113F99,  modelHash = "s_m_y_ammucity_01", x = 305.82, y = 6278.97, z = -160.02, heading = 172.81    },	
		{id = 80,  modelHash = "u_m_y_juggernaut_01",isBoss=true, x = 308.0, y = 6292.6, z = -160.15, heading = 119.61 },	
		{id = 81,  Weapon = 0xAF113F99,  modelHash = "s_m_y_ammucity_01",x = 307.37, y = 6309.54, z = -160.22, heading = 135.18   },	
		{id = 82,  Weapon = 0xAF113F99,  modelHash = "s_m_y_ammucity_01",x = 305.14, y = 6311.45, z = -160.22, heading = 166.73    },
		{id = 83,  Weapon = 0xDBBD7280,  modelHash = "s_m_y_ammucity_01",x = 319.32, y = 6310.63, z = -160.02, heading = 69.27   },	
		{id = 84,  Weapon = 0xDBBD7280,  modelHash = "s_m_y_ammucity_01",x = 336.25, y = 6310.65, z = -160.02, heading = 77.44    },
		{id = 85,   modelHash = "mp_m_bogdangoon",isBoss=true, x = 350.03, y = 6308.19, z = -160.05, heading = 35.51},	
		{id = 86,   modelHash = "mp_m_weapexp_01",isBoss=true,x = 352.06, y = 6308.61, z = -160.05, heading = 13.71 },	
		{id = 87,  modelHash = "u_m_y_juggernaut_01",isBoss=true,  x = 371.81, y = 6299.45, z = -159.93, heading = 358.11 },
		{id = 88,  modelHash = "u_m_y_juggernaut_01",isBoss=true, x = 373.71, y = 6315.31, z = -159.93, heading = 152.0 },
		{id = 89,  modelHash = "u_m_y_juggernaut_01",isBoss=true, x = 376.57, y = 6308.87, z = -159.96, heading = 89.42 },
		{id = 90,  Weapon = 0x7FD62962,  modelHash = "s_m_y_ammucity_01", x = 691.52, y = 5953.8, z = -150.12, heading = 57.28 },		
		
    },
	
	

    Vehicles = {
      -- ID: id of NPC | name: Name of Blip | BlipID: Icone of Blip | VoiceName: NPC Talk When near it | Ambiance: Ambiance of Shop | Weapon: Hash of Weapon | modelHash: Model | X: Position x | Y: Position Y | Z: Position Z | heading: Where Npc look
   	  --**IMPORTANT: make sure the id of the ped starts from 1, each Peds id in above, increments by 1 and matches that entries index if it were in an array***
	  --vehicles are not consistent, so use ExtraPeds at your own discretion.
	  --Below takes a ped with id=1 from Peds above and will put it in seatid = -2   
	 -- {id = 1, id2 = 1, Vehicle = "annihilator", modelHash = "S_M_M_ChemSec_01",  x = -1166.42, y = 4641.5, z = 145.11, heading = 210.07,driving=true,pilot=true},
	 -- {id = 2, id2 = 2, Vehicle = "toro2", modelHash = "s_m_y_ammucity_01",  x = -3014.83, y = -43.5, z = 0.13, heading = 151.19, driving=true},
	 --{id = 1, id2 = 1, Vehicle = "insurgent3", modelHash = "s_m_y_ammucity_01",  x = 3617.5, y = 3738.11, z = 28.69, heading = 28.27, Weapon=0x13532244,outside=true},
	 {id = 1, id2 = 1, Vehicle = "valkyrie", modelHash = "s_m_y_ammucity_01", x = -501.22, y = 4933.34, z = 147.31 + 50,heading = 50.39,pilot=true, isAircraft=true,outside=true,Weapon=0x13532244},
	 {id = 2, id2 = 2, Vehicle = "valkyrie", modelHash = "s_m_y_ammucity_01",x = -121.25, y = 4604.54, z = 124.0 + 50,heading = 233.79,pilot=true, isAircraft=true,outside=true,Weapon=0x13532244},
	 {id = 3, id2 = 3, Vehicle = "insurgent3", modelHash = "s_m_y_ammucity_01",  x = 1310.61, y = 5214.2, z = -79.13,heading = 88.94, Weapon=0x13532244,},
	 {id = 4, id2 = 4, Vehicle = "scarab", modelHash = "s_m_y_ammucity_01", x = 1301.03, y = 5229.62, z = -79.23, heading = 154.26, Weapon=0x13532244,},
	 {id = 5, id2 = 5, Vehicle = "barrage", modelHash = "s_m_y_ammucity_01",   x = 1104.4, y = 5521.81, z = -101.33,heading = 336.59, Weapon=0x13532244,},
	 {id = 6, id2 = 6, Vehicle = "halftrack", modelHash = "s_m_y_ammucity_01",x = 1150.65, y = 5504.15, z = -100.13, heading = 116.35, Weapon=0x13532244,},
	 {id = 7, id2 = 7, Vehicle = "khanjali", modelHash = "s_m_y_ammucity_01",x = 576.26, y = 5959.26, z = -158.08, heading = 45.8, Weapon=0x13532244,},
	{id = 8, id2 = 8, Vehicle = "bf400", modelHash = "g_m_y_lost_01",x = 713.23, y = 5866.99, z = -150.92, heading = 117.57, Weapon=0x0781FE4A,driving=true},
	 {id = 9, id2 = 9, Vehicle = "bf400", modelHash = "g_m_y_lost_02",x = 714.71, y = 5875.14, z = -150.79, heading = 125.06 , Weapon=0x0781FE4A,driving=true},
    }
  },
  

  Mission3 = {
    
	StartMessage = "Infiltrate the Oligarch's yacht to obtain secret data~n~of the next attack",
	FinishMessage = "Mission Completed!",
	MissionTitle = "Chelsea",
	MissionMessage = "Infiltrate the Oligarch's yacht to obtain secret data of the next attack",	
	Type = "Objective",	
	IndoorsMission = true,
	SafeHouseVehicleCount = 4,
	SafeHouseAircraftCount = 6,
	SafeHouseBoatCount = 6,
	SafeHouseSniperExplosiveRoundsGiven=2,
	SafeHouseVehicles = {
	"insurgent3",
	"kuruma2",
	},
	SafeHouseAircraft = 
	{
	"hydra",
	"valkyrie",
	"thruster",
	"avenger",
	},
	SafeHouseBoat = 
	{
	"dinghy4",
	"seashark",
	"toro2",
	"jetmax",
	"submersible2",
	"submersible",
	},

    Blip = {
      Title = "Oligarch's Yacht",
      Position = {x = -2084.08, y = -1018.0, z = 12.78},
      Icon     = 58,
      Display  = 4,
      Size     = 1.2,
      Color    = 1,
    },

    Marker = {
      Type     = 1,
      Position = {x = -2084.08, y = -1018.0, z = 11.78,}, 
      Size     = {x = 6.0, y = 6.0, z = 2.0},
      Color    = {r = 100, g = 100, b = 204},
      DrawDistance = 100.0,
    },
		BlipS = { --safehouse blip 
		  Title = "Mission Safehouse",
		  Position = { x = -1694.94, y = -3152.18, z = 23.32}, --{ x = 1944.96, y = 3150.6, z = 46.77},
		  Icon     = 417,
		  Display  = 4,
		  Size     = 1.2,
		  Color    = 2,
		  Alpha	 =80, 
		},	
		 MarkerS = { --safehouse marker
		  Type     = 1,
		  Position = { x = -1694.94, y = -3152.18, z = 23.32},  --{  x = 1944.96, y = 3150.6, z = 46.77}, 
		  Size     = {x = 6.0, y = 6.0, z = 2.0},
		  Color    = {r = 117, g = 218, b = 255},
		  DrawDistance = 200.0,
		},
		BlipSL = { --safehouse Vehicle blip 
		  Title = "Mission Vehicle Safehouse",
		  Position = { x = -1469.37, y = -2967.27, z = 13.3}, --{ x = 1944.96, y = 3150.6, z = 46.77},
		  Icon     = 421,
		  Display  = 4,
		  Size     = 1.2,
		  Color    = 3,
		  Alpha	 =80, 
		},
		BlipSB = { --safehouse boat blip 
		  Title = "Mission Boat Safehouse",
		  Position = {x = 413.98, y = -3411.47, z = 0.23}, --{ x = 1944.96, y = 3150.6, z = 46.77},
		 Icon     = 404,
		  Display  = 4,
		  Size     = 1.2,
		  Color    = 3,
		  Alpha	 =80, 
		},
	
	--***Must Set 'realId' too, which must is always the same as 'id' for props to not float***
	Props = {
		{ id=1,  Name = "prop_laptop_lester2", Position = { x = -2084.26, y = -1018.13, z = 12.78, heading = 58.1 }},
	
    },
	
	
	



	
	Pickups = {
	},
	MissionPickups = {
		
	},	
		
	

    Peds = {
	
			{id = 1, Weapon =0xBFEFFF6D,  modelHash = "s_m_y_xmech_02",  x = -2048.04, y = -1036.54, z = 2.59, heading = 270.56  },
			{id = 2, Weapon =0x9D61E50F,  modelHash = "G_M_M_ChiCold_01",  x = -2044.84, y = -1025.85, z = 2.58, heading = 231.03  },
			{id = 3, Weapon =0xAF113F99,  modelHash = "g_m_y_lost_03",  x = -2060.84, y = -1032.4, z = 3.06, heading = 248.48  },
			{id = 4, Weapon =0xDBBD7280,  modelHash = "s_m_y_dealer_01", x = -2055.69, y = -1022.05, z = 3.06, heading = 248.06  },
			{id = 5, Weapon =0xFAD1F1C9,  modelHash = "s_m_y_ammucity_01", x = -2027.11, y = -1031.56, z = 2.57, heading = 190.13 },
			{id = 6, Weapon =0xEFE7E2DF,  modelHash = "u_f_y_bikerchic", x = -2030.22, y = -1041.19, z = 2.57, heading = 315.57  },
			{id = 7, Weapon =0xE284C527,  modelHash = "g_f_y_lost_01", x = -2021.23, y = -1043.44, z = 2.45, heading = 267.66,outside=true },
			{id = 8, Weapon =0xA914799,  modelHash = "g_m_y_lost_02", x = -2018.34, y = -1035.37, z = 2.45, heading = 262.8,outside=true  },
			{id = 9, Weapon =0xE284C527,  modelHash = "G_M_M_ChiCold_01", x = -2024.15, y = -1037.81, z = 5.57, heading = 253.58,outside=true },
			{id = 10, Weapon =0xA914799,  modelHash = "U_M_Y_Tattoo_01", x = -2032.06, y = -1035.2, z = 5.88, heading = 246.41,outside=true  },
			{id = 11, Weapon =0xAF113F99,  modelHash = "s_m_y_ammucity_01", x = -2066.45, y = -1031.31, z = 5.88, heading = 154.94, },
			{id = 12, Weapon =0xAF113F99,  modelHash = "s_m_y_robber_01",x = -2054.07, y = -1020.62, z = 5.88, heading = 338.94, },	
			{id = 13, Weapon = 0xC0A3098D,  modelHash = "g_m_y_lost_01",x = -2079.33, y = -1019.49, z = 5.88, heading = 292.28 },	
			{id = 14, Weapon = 0x7F229F94,  modelHash = "u_f_y_bikerchic",x = -2083.51, y = -1025.56, z = 5.88, heading = 361.8  },	
			{id = 15, Weapon = 0x3AABBBAA,  modelHash = "s_m_y_xmech_02_mp",x = -2090.3, y = -1013.8, z = 5.88, heading = 225.88  },
			{id = 16, Weapon = 0x2BE6766B,  modelHash = "s_m_y_dealer_01",x = -2101.03, y = -1013.82, z = 5.88, heading = 334.08  },
			{id = 17, Weapon = 0x83BF0278,  modelHash = "s_m_y_ammucity_01",x = -2093.58, y = -1009.93, z = 5.88, heading = 163.77  },
			{id = 18, Weapon = 0x0781FE4A,  modelHash = "g_m_y_lost_03", x = -2106.86, y = -1013.54, z = 5.89, heading = 306.24  },	
			{id = 19, Weapon = 0x63AB0442,  modelHash = "g_m_y_lost_02", x = -2100.66, y = -1012.6, z = 9.02, heading = 67.15,outside=true },	
			{id = 20, Weapon = 0xDBBD7280,  modelHash = "G_M_M_ChiCold_01",  x = -2088.51, y = -1016.63, z = 8.97, heading = 71.49  },	
			{id = 21, Weapon = 0xDBBD7280,  modelHash = "g_f_y_lost_01", x = -2083.01, y = -1018.83, z = 8.97, heading = 245.68 },				
			{id = 22, Weapon = 0xBFEFFF6D,  modelHash = "s_m_y_xmech_02",  x = -2063.7, y = -1031.6, z = 8.97, heading = 162.79  },	
			{id = 23, Weapon = 0xBFEFFF6D,  modelHash = "s_m_y_xmech_02_mp", x = -2059.47, y = -1019.64, z = 8.97, heading = 331.86 },
			{id = 24, modelHash = "mp_m_exarmy_01",isBoss=true,x = -2052.45, y = -1028.76, z = 8.97, heading = 244.38 },
			{id = 25, Weapon = 0x63AB0442,  modelHash = "U_M_Y_Tattoo_01",  x = -2062.84, y = -1032.35, z = 11.91, heading = 157.02   },	
			{id = 26, Weapon = 0x63AB0442,  modelHash = "g_m_y_lost_01", x = -2063.95, y = -1017.83, z = 11.91, heading = 338.6 },
			{id = 27, modelHash = "mp_m_bogdangoon",isBoss=true,x = -2076.31, y = -1025.27, z = 11.91, heading = 337.11 },
			{id = 28, modelHash = "mp_m_weapexp_01",isBoss=true,x = -2074.02, y = -1018.44, z = 11.91, heading = 159.52  },			
			{id = 29, Weapon = 0x83BF0278,  modelHash = "ig_tomepsilon", x = -2084.45, y = -1018.05, z = 12.78, heading = 239.9},
			{id = 30, Weapon = 0x83BF0278,  modelHash = "mp_m_boatstaff_01", x = -2083.54, y = -1023.17, z = 12.78, heading = 301.87},			
			{id = 31, Weapon = 0x83BF0278,  modelHash = "mp_m_boatstaff_01", x = -2080.91, y = -1014.95, z = 12.78, heading = 218.2},	
			{id = 32, Weapon = 0xDBBD7280,  modelHash = "s_m_y_ammucity_01", x = -2088.75, y = -1016.42, z = 12.78, heading = 66.51},				
		
		
    },
	
	

    Vehicles = {
      -- ID: id of NPC | name: Name of Blip | BlipID: Icone of Blip | VoiceName: NPC Talk When near it | Ambiance: Ambiance of Shop | Weapon: Hash of Weapon | modelHash: Model | X: Position x | Y: Position Y | Z: Position Z | heading: Where Npc look
   	  --**IMPORTANT: make sure the id of the ped starts from 1, each Peds id in above, increments by 1 and matches that entries index if it were in an array***
	  --vehicles are not consistent, so use ExtraPeds at your own discretion.
	  --Below takes a ped with id=1 from Peds above and will put it in seatid = -2   
	 -- {id = 1, id2 = 1, Vehicle = "annihilator", modelHash = "S_M_M_ChemSec_01",  x = -1166.42, y = 4641.5, z = 145.11, heading = 210.07,driving=true,pilot=true},
	 -- {id = 2, id2 = 2, Vehicle = "toro2", modelHash = "s_m_y_ammucity_01",  x = -3014.83, y = -43.5, z = 0.13, heading = 151.19, driving=true},
	 {id = 1, id2 = 1, Vehicle = "valkyrie", modelHash = "s_m_y_ammucity_01", x = -2048.15, y = -1029.45, z = 11.91 + 50, heading = 330.09, Weapon=0x13532244,outside=true,pilot=true, isAircraft=true,},
	 {id = 2, id2 = 2, Vehicle = "trailersmall2", modelHash = "s_m_y_ammucity_01",x = -2044.16, y = -1031.4, z = 11.98, heading = 247.32,outside=true,Weapon=0x13532244},
	 {id = 3, id2 = 3, Vehicle = "speeder2", modelHash = "U_M_Y_Tattoo_01", x = -1999.4, y = -1046.97, z = 0.27, heading = 322.71,outside=true,Weapon=0x13532244},
	 {id = 4, id2 = 4, Vehicle = "toro2", modelHash = "g_m_y_lost_02",x = -2155.46, y = -1000.21, z = -0.22, heading = 170.18,outside=true,Weapon=0x13532244},
	 {id = 5, id2 = 5, Vehicle = "seashark2", modelHash = "U_M_Y_Tattoo_01",  x = -2085.42, y = -1046.81, z = 0.25, heading = 248.53 ,outside=true,Weapon=0x13532244},
	 {id = 6, id2 = 6, Vehicle = "seashark3", modelHash = "g_m_y_lost_02",x = -2053.59, y = -1005.43, z = -0.12, heading = 65.37,outside=true,Weapon=0x13532244},
	 {id = 7, id2 = 7, Vehicle = "blazer5", modelHash = "s_m_y_robber_01",  x = -2005.63, y = -1017.83, z = 0.54, heading = 318.25 ,outside=true,Weapon=0x13532244},
	 {id = 8, id2 = 8, Vehicle = "blazer5", modelHash = "s_m_y_xmech_02_mp",x = -2037.28, y = -986.47, z = 0.39, heading = -58.6,outside=true,Weapon=0x13532244},
	 {id = 9, id2 = 9, Vehicle = "technical2", modelHash = "s_m_y_dealer_01", x = -1987.26, y = -1018.85, z = 0.38, heading = 281.22 ,outside=true,Weapon=0x13532244},
	 {id = 10, id2 = 10, Vehicle = "technical2", modelHash = "g_f_y_lost_01",x = -2024.86, y = -1079.19, z = 0.1, heading = 360.77,outside=true,Weapon=0x13532244},	 
	 --{id = 11, id2 = 11, Vehicle = "oppressor2", modelHash = "s_m_y_dealer_01", x = -2018.57, y = -1039.86, z = 2.45, heading = 245.53 ,outside=true,Weapon=0x13532244},
	 --{id = 12, id2 = 12, Vehicle = "oppressor2", modelHash = "g_f_y_lost_01",x = -2083.84, y = -1017.88, z = 15.99, heading = 70.03,outside=true,Weapon=0x13532244},	 
    }
  },  
  
 Mission4 = {
    
	StartMessage = "Stop the mercenaries from unleashing~n~bio-nanotechnology weapons on San Andreas",
	FinishMessage = "Mission Completed!",
	MissionTitle = "Deus Ex",
	MissionMessage = "Stop the mercenaries from unleashing bio-nanotechnology weapons on San Andreas",	
	Type = "Objective",	
	IndoorsMission = true,
	SafeHouseVehicleCount = 4,
	SafeHouseAircraftCount = 6,
	SafeHouseBoatCount = 6,
	SafeHouseVehicles = {
	"deluxo",
	},
	SafeHouseAircraft = 
	{
	"hydra",
	"avenger",
	},
	SafeHouseBoat = 
	{
	"dinghy4",
	"seashark",
	"toro2",
	"jetmax",
	"submersible2",
	"submersible",
	},

    Blip = {
      Title = "Aircraft Carrier",
      Position =  {x = 3072.42, y = -4740.15, z = 6.08},
      Icon     = 58,
      Display  = 4,
      Size     = 1.2,
      Color    = 1,
    },

    Marker = {
      Type     = 1,
      Position = { x = 3072.42, y = -4740.15, z = 5.08}, 
      Size     = {x = 6.0, y = 6.0, z = 2.0},
      Color    = {r = 100, g = 100, b = 204},
      DrawDistance = 100.0,
    },
		BlipS = { --safehouse blip 
		  Title = "Mission Safehouse",
		  Position = { x = -1694.94, y = -3152.18, z = 23.32}, --{ x = 1944.96, y = 3150.6, z = 46.77},
		  Icon     = 417,
		  Display  = 4,
		  Size     = 1.2,
		  Color    = 2,
		  Alpha	 =80, 
		},	
		 MarkerS = { --safehouse marker
		  Type     = 1,
		  Position = { x = -1694.94, y = -3152.18, z = 23.32},  --{  x = 1944.96, y = 3150.6, z = 46.77}, 
		  Size     = {x = 6.0, y = 6.0, z = 2.0},
		  Color    = {r = 117, g = 218, b = 255},
		  DrawDistance = 200.0,
		},
		BlipSL = { --safehouse Vehicle blip 
		  Title = "Mission Vehicle Safehouse",
		  Position = { x = -1469.37, y = -2967.27, z = 13.3}, --{ x = 1944.96, y = 3150.6, z = 46.77},
		  Icon     = 421,
		  Display  = 4,
		  Size     = 1.2,
		  Color    = 3,
		  Alpha	 =80, 
		},
		BlipSB = { --safehouse boat blip 
		  Title = "Mission Boat Safehouse",
		  Position = {x = 413.98, y = -3411.47, z = 0.23}, --{ x = 1944.96, y = 3150.6, z = 46.77},
		 Icon     = 404,
		  Display  = 4,
		  Size     = 1.2,
		  Color    = 3,
		  Alpha	 =80, 
		},
	
	
	Props = {
		{ id=1,  Name = "hei_prop_carrier_bombs_1", Position = { x = 3072.42, y = -4740.15, z = 6.08,heading=90.0 }},
		
	
    },
	
	
	



	
	Pickups = {
	},
	MissionPickups = {
		
	},	
		
	

    Peds = {
	
			{id = 1, Weapon =0x63AB0442,  modelHash = "s_m_y_xmech_02", x = 3088.16, y = -4706.76, z = 30.26, heading = 106.01,outside=true  },
			{id = 2, Weapon =0x63AB0442,  modelHash = "G_M_M_ChiCold_01", x = 3091.76, y = -4705.52, z = 30.26, heading = 284.58,outside=true  },
			
			{id = 3, Weapon =0xAF113F99,  modelHash = "g_m_y_lost_03", x = 3084.43, y = -4708.79, z = 15.25, heading = 247.05  },
			{id = 4, Weapon =0xDBBD7280,  modelHash = "s_m_y_dealer_01", x = 3083.55, y = -4706.85, z = 15.25, heading = 39.21  },
			{id = 5, Weapon =0xFAD1F1C9,  modelHash = "s_m_y_ammucity_01", x = 3096.05, y = -4706.88, z = 12.24, heading = 77.04 },
			{id = 6, Weapon =0xEFE7E2DF,  modelHash = "u_f_y_bikerchic", x = 3092.05, y = -4704.8, z = 12.24, heading = 101.64   },
			{id = 7, modelHash = "mp_m_bogdangoon",isBoss=true,x = 3091.7, y = -4702.23, z = 18.32, heading = 101.97 },			
			{id = 8, modelHash = "mp_m_exarmy_01",isBoss=true,x = 3082.98, y = -4704.87, z = 10.73, heading = 281.82 },	
			{id = 9, modelHash = "mp_m_weapexp_01",isBoss=true,x = 3077.56, y = -4706.22, z = 10.74, heading = 103.0  },	
			{id = 10, Weapon =0xE284C527,  modelHash = "g_f_y_lost_01", x = 3081.69, y = -4706.44, z = 10.73, heading = 291.81, },
			{id = 11, Weapon =0xA914799,  modelHash = "g_m_y_lost_02", x = 3079.39, y = -4706.09, z = 10.73, heading = 93.02,  },
			{id = 12, Weapon =0xE284C527,  modelHash = "G_M_M_ChiCold_01",x = 3088.95, y = -4739.59, z = 10.74, heading = 49.33, },
			{id = 13, Weapon =0xA914799,  modelHash = "U_M_Y_Tattoo_01", x = 3086.06, y = -4732.45, z = 10.74, heading = 187.15, },
			{id = 14, Weapon =0xAF113F99,  modelHash = "s_m_y_ammucity_01", x = 3086.81, y = -4736.64, z = 10.74, heading = 289.9, },
			
			{id = 15, Weapon =0xAF113F99,  modelHash = "s_m_y_robber_01",x = 3069.77, y = -4670.55, z = 10.74, heading = 185.65 },	
			{id = 16, Weapon = 0xC0A3098D,  modelHash = "g_m_y_lost_01",x = 3070.44, y = -4675.05, z = 10.74, heading = 284.44 },	
			{id = 17, Weapon = 0x7F229F94,  modelHash = "u_f_y_bikerchic",x = 3072.24, y = -4679.51, z = 10.74, heading = 2.52  },	
			
			{id = 18, Weapon = 0x3AABBBAA,  modelHash = "s_m_y_xmech_02_mp",x = 3081.36, y = -4684.39, z = 6.08, heading = 132.61  },
			{id = 19, Weapon = 0x2BE6766B,  modelHash = "s_m_y_dealer_01",x = 3080.37, y = -4687.03, z = 6.08, heading = 119.18  },
			{id = 20, Weapon = 0x83BF0278,  modelHash = "s_m_y_ammucity_01",x = 3074.24, y = -4694.85, z = 6.08, heading = 383.81  },
			
			{id = 21, Weapon = 0xDBBD7280,  modelHash = "g_m_y_lost_03", x = 3036.09, y = -4689.21, z = 6.08, heading = 269.75  },	
			{id = 22, Weapon = 0xDBBD7280,  modelHash = "g_m_y_lost_02", x = 3037.32, y = -4673.27, z = 6.08, heading = 184.25 },	
			{id = 23, Weapon = 0xDBBD7280,  modelHash = "G_M_M_ChiCold_01",  x = 3039.87, y = -4681.24, z = 6.08, heading = 376.41  },	
			{id = 24, Weapon = 0xDBBD7280,  modelHash = "g_f_y_lost_01", x = 3039.34, y = -4693.21, z = 6.08, heading = 303.15 },				
			
			{id = 25, Weapon = 0xBFEFFF6D,  modelHash = "s_m_y_xmech_02", x = 3037.77, y = -4679.34, z = 10.74, heading = 184.49  },	
			{id = 26, Weapon = 0xBFEFFF6D,  modelHash = "s_m_y_xmech_02_mp", x = 3039.48, y = -4687.93, z = 10.74, heading = 6.09 },
			{id = 27, Weapon = 0xDBBD7280,  modelHash = "U_M_Y_Tattoo_01",  x = 3038.79, y = -4682.33, z = 10.74, heading = 96.37   },
			
			{id = 28, Weapon = 0xBFEFFF6D,  modelHash = "s_m_y_xmech_02",x = 3026.27, y = -4625.69, z = 6.08, heading = 232.01  },	
			{id = 29, Weapon = 0xBFEFFF6D,  modelHash = "s_m_y_xmech_02_mp",x = 3047.74, y = -4622.28, z = 6.08, heading = 176.06 },
			{id = 30, Weapon = 0xDBBD7280,  modelHash = "U_M_Y_Tattoo_01",  x = 3046.45, y = -4680.04, z = 6.08, heading = 348.3   },			
			
			{id = 31, Weapon = 0x63AB0442,  modelHash = "U_M_Y_Tattoo_01",  x = 3078.81, y = -4805.84, z = 7.08, heading = 272.45   },	
			{id = 32, Weapon = 0x63AB0442,  modelHash = "g_m_y_lost_01", x = 3078.76, y = -4808.58, z = 7.08, heading = 288.53 },
			{id = 33, modelHash = "mp_m_bogdangoon",isBoss=true,x = 3088.89, y = -4802.77, z = 7.08, heading = 282.8 },
			{id = 34, modelHash = "mp_m_weapexp_01",isBoss=true,x = 3091.94, y = -4802.34, z = 7.08, heading = 264.01  },			
			{id = 35, modelHash = "u_m_y_juggernaut_01",isBoss=true, x = 3095.22, y = -4802.53, z = 7.08, heading = 242.39  },
			
			{id = 36, modelHash = "mp_m_exarmy_01",isBoss=true,x = 3100.59, y = -4804.48, z = 2.04, heading = 81.11 },
			{id = 37, modelHash = "ig_josef",isBoss=true,x = 3101.24, y = -4801.71, z = 2.04, heading = 88.7  },			
			{id = 38, modelHash = "u_m_y_juggernaut_01",isBoss=true, x = 3101.73, y = -4803.02, z = 2.04, heading = 87.84  },
			
			{id = 39, modelHash = "u_m_y_juggernaut_01",isBoss=true,x = 3084.87, y = -4746.29, z = 6.08, heading = 101.26 },
			{id = 40, modelHash = "u_m_y_juggernaut_01",isBoss=true,x = 3064.79, y = -4762.5, z = 6.08, heading = 293.0 },			
			{id = 41, modelHash = "u_m_y_juggernaut_01",isBoss=true, x = 3088.51, y = -4797.39, z = 6.08, heading = 6.96 },
			
			{id = 42, Weapon = 0xDBBD7280,  modelHash = "s_m_y_ammucity_01",  x = 3051.75, y = -4716.35, z = 6.24, heading = 11.43   },
			{id = 43, Weapon = 0xDBBD7280,  modelHash = "s_m_y_ammucity_01",  x = 3052.74, y = -4718.99, z = 6.24, heading = 190.86   },

			{id = 44, Weapon = 0xBFEFFF6D,  modelHash = "s_m_y_ammucity_01",  x = 3053.65, y = -4740.8, z = 10.74, heading = 189.14   },
			{id = 45, Weapon = 0xDBBD7280,  modelHash = "s_m_y_ammucity_01",  x = 3055.32, y = -4744.33, z = 10.74, heading = 465.8   },	
			{id = 46, Weapon = 0xBFEFFF6D,  modelHash = "s_m_y_ammucity_01", x = 3055.65, y = -4748.23, z = 10.74, heading = 370.68   },	

			{id = 47, Weapon = 0xB1CA77B1,  modelHash = "s_m_y_ammucity_01",  x = 3059.15, y = -4794.96, z = 6.07, heading = 100.8,outside=true   },
			{id = 48, Weapon = 0xA914799,  modelHash = "s_m_y_ammucity_01", x = 3056.83, y = -4802.4, z = 6.07, heading = 95.79,outside=true   },	
			{id = 49, Weapon = 0xA914799,  modelHash = "s_m_y_ammucity_01", x = 3054.79, y = -4790.17, z = 6.07, heading = 88.23,outside=true    },	
			
			{id = 50, Weapon = 0x7FD62962,  modelHash = "s_m_y_ammucity_01", x = 3093.14, y = -4752.91, z = 11.57, heading = 185.12   },
			{id = 51, Weapon = 0x7FD62962,  modelHash = "s_m_y_ammucity_01", x = 3062.18, y = -4639.25, z = 11.58, heading = 163.77   },	

			{id = 52, Weapon = 0xB1CA77B1,  modelHash = "s_m_y_ammucity_01", x = 3077.06, y = -4645.96, z = 6.07, heading = 281.53,outside=true   },
			{id = 53, Weapon = 0xA914799,  modelHash = "s_m_y_ammucity_01", x = 3081.49, y = -4638.62, z = 6.08, heading = 289.03,outside=true   },	
			{id = 54, Weapon = 0xA914799,  modelHash = "s_m_y_ammucity_01", x = 3080.68, y = -4650.49, z = 6.07, heading = 274.85,outside=true    },	

			{id = 55, Weapon = 0x7FD62962,  modelHash = "s_m_y_ammucity_01",x = 3093.84, y = -4705.09, z = 18.32, heading = 45.94   },		
			{id = 56, Weapon =0x83BF0278,  modelHash = "U_M_Y_Tattoo_01",x = 3086.59, y = -4706.5, z = 21.27, heading = 273.53},			
			
			{id = 57, Weapon = 0x83BF0278,  modelHash = "mp_m_boatstaff_01",  x = 3090.6, y = -4723.34, z = 27.28, heading = 341.1},			
			{id = 58, Weapon = 0x83BF0278,  modelHash = "mp_m_boatstaff_01", x = 3090.02, y = -4690.63, z = 27.25, heading = 109.06},
			{id = 59, Weapon = 0x83BF0278,  modelHash = "mp_m_boatstaff_01",   x = 3085.15, y = -4688.39, z = 27.25, heading = 181.35,friendly=true,},			
			{id = 60, Weapon = 0x83BF0278,  modelHash = "mp_m_boatstaff_01", x = 3092.43, y = -4723.04, z = 27.28, heading = 163.78,friendly=true,},					
		
		
    },
	
	

    Vehicles = {
      -- ID: id of NPC | name: Name of Blip | BlipID: Icone of Blip | VoiceName: NPC Talk When near it | Ambiance: Ambiance of Shop | Weapon: Hash of Weapon | modelHash: Model | X: Position x | Y: Position Y | Z: Position Z | heading: Where Npc look
   	  --**IMPORTANT: make sure the id of the ped starts from 1, each Peds id in above, increments by 1 and matches that entries index if it were in an array***
	  --vehicles are not consistent, so use ExtraPeds at your own discretion.
	  --Below takes a ped with id=1 from Peds above and will put it in seatid = -2   
	 -- {id = 1, id2 = 1, Vehicle = "annihilator", modelHash = "S_M_M_ChemSec_01",  x = -1166.42, y = 4641.5, z = 145.11, heading = 210.07,driving=true,pilot=true},
	 -- {id = 2, id2 = 2, Vehicle = "toro2", modelHash = "s_m_y_ammucity_01",  x = -3014.83, y = -43.5, z = 0.13, heading = 151.19, driving=true},
	 {id = 1, id2 = 1, Vehicle = "hydra", modelHash = "s_m_y_ammucity_01", x = 3012.79, y = -4520.81, z = 15.26+50, heading = 10.42, Weapon=0x13532244,outside=true,pilot=true, isAircraft=true,},
	 {id = 2, id2 = 2, Vehicle = "trailersmall2", modelHash = "s_m_y_ammucity_01", x = 3072.88, y = -4619.79, z = 15.26, heading = 381.44,outside=true,Weapon=0x13532244},
	 {id = 3, id2 = 3, Vehicle = "apc", modelHash = "U_M_Y_Tattoo_01", x = 3047.24, y = -4697.32, z = 15.26, heading = 106.64,outside=true,Weapon=0x13532244},
	 {id = 4, id2 = 4, Vehicle = "hydra", modelHash = "s_m_y_ammucity_01",x = 3101.06, y = -4815.26, z = 15.26 + 50, heading = 204.23, Weapon=0x13532244,outside=true,pilot=true, isAircraft=true,},
	 {id = 5, id2 = 5, Vehicle = "hydra", modelHash = "s_m_y_ammucity_01", x = 3067.53, y = -4652.76, z = 15.26 + 50, heading = 281.4, Weapon=0x13532244,outside=true,pilot=true, isAircraft=true,},
	 {id = 6, id2 = 6, Vehicle = "hydra", modelHash = "s_m_y_ammucity_01", x = 3037.34, y = -4737.51, z = 15.26 + 50, heading = 94.82, Weapon=0x13532244,outside=true,pilot=true, isAircraft=true,},
	 {id = 7, id2 = 7, Vehicle = "trailersmall2", modelHash = "s_m_y_ammucity_01",x = 3065.51, y = -4815.59, z = 15.26, heading = 97.46,outside=true,Weapon=0x13532244},
	 {id = 8, id2 = 8, Vehicle = "apc", modelHash = "U_M_Y_Tattoo_01",x = 3092.12, y = -4816.5, z = -0.68, heading = 197.38,outside=true,Weapon=0x13532244},
	 {id = 9, id2 = 9, Vehicle = "scarab", modelHash = "g_m_y_lost_02",x = 3078.66, y = -4757.66, z = 6.08, heading = 94.86,outside=true,Weapon=0x13532244},	
	 {id = 10, id2 = 10, Vehicle = "menacer", modelHash = "G_M_M_ChiCold_01",x = 3070.3, y = -4729.55, z = 6.08, heading = 188.47,outside=true,Weapon=0x13532244},
	 {id = 11, id2 = 11, Vehicle = "trailersmall2", modelHash = "s_m_y_ammucity_01", x = 3095.41, y = -4763.96, z = 6.08, heading = 285.23,outside=true,Weapon=0x13532244},
	 {id = 12, id2 = 12, Vehicle = "trailersmall2", modelHash = "s_m_y_ammucity_01", x = 3068.78, y = -4792.58, z = 6.08, heading = 96.11,outside=true,Weapon=0x13532244},
	 {id = 13, id2 = 13, Vehicle = "trailersmall2", modelHash = "s_m_y_ammucity_01",x = 3070.31, y = -4649.15, z = 6.08, heading = 283.28,outside=true,Weapon=0x13532244},
    }
  }, 
  
  --[[
  Mission5 = {
    
	StartMessage = "Shut down the AI the mercenaries have enabled~n~before it takes over the internet",
	FinishMessage = "Mission Completed!",
	MissionTitle = "Skynet",
	MissionMessage = "Shut down the AI the mercenaries have enabled~n~before it takes over the internet",	
	Type = "Objective",	
	IndoorsMission = true,
    Blip = {
      Title = "AI Central Hub",
      Position =  { x = 2478.55, y = -403.24, z = 94.56 },
      Icon     = 58,
      Display  = 4,
      Size     = 1.2,
      Color    = 1,
    },

    Marker = {
      Type     = 1,
      Position = { x = 2358.2, y = 2920.95, z = -85.78}, 
      Size     = {x = 6.0, y = 6.0, z = 2.0},
      Color    = {r = 100, g = 100, b = 204},
      DrawDistance = 100.0,
    },
	BlipS = { --safehouse blip 
		  Title = "Mission Safehouse",
		  Position = { x = 1731.94, y = 3308.24, z = 41.22}, --{ x = 1944.96, y = 3150.6, z = 46.77},
		  Icon     = 417,
		  Display  = 4,
		  Size     = 1.2,
		  Color    = 2,
		  Alpha	 =80, 
	},	
	MarkerS = { --safehouse marker
		  Type     = 1,
		  Position = { x = 1731.94, y = 3308.24, z = 40.22},  --{  x = 1944.96, y = 3150.6, z = 46.77}, 
		  Size     = {x = 6.0, y = 6.0, z = 2.0},
		  Color    = {r = 117, g = 218, b = 255},
		  DrawDistance = 200.0,
	},
	BlipSL = { --safehouse Vehicle blip 
		  Title = "Mission Vehicle Safehouse",
		  Position = { x = 1480.63, y = 3167.93, z = 40.99}, --{ x = 1944.96, y = 3150.6, z = 46.77},
		  Icon     = 421,
		  Display  = 4,
		  Size     = 1.2,
		  Color    = 3,
		  Alpha	 =80, 
	},
	BlipSB = { --safehouse boat blip 
		  Title = "Mission Boat Safehouse",
		  Position = {x = 1481.84, y = 3873.37, z = 30.04}, --{ x = 1944.96, y = 3150.6, z = 46.77},
		 Icon     = 404,
		  Display  = 4,
		  Size     = 1.2,
		  Color    = 3,
		  Alpha	 =80, 
	},	
	
	
	Props = {
		{ id=1,  Name = "xm_base_cia_serverhub_02", Position = { x = 2358.2, y = 2920.95, z = -84.78, heading = 450.0 }},
		
	
    },
	
	
	



	
	Pickups = {
	},
	MissionPickups = {
		
	},	
		
	

    Peds = {
	
			{id = 1, Weapon =0x7FD62962,  modelHash = "s_m_y_ammucity_01", x = 2153.92, y = 2920.81, z = -84.8, heading = 263.18, },
			{id = 2, Weapon =0x7FD62962,  modelHash = "G_M_M_ChiCold_01",x = 2168.32, y = 2921.33, z = -84.8, heading = 81.96 },
			{id = 3, Weapon =0xAF113F99,  modelHash = "s_m_y_ammucity_01", x = 2159.98, y = 2920.99, z = -84.8, heading = 268.03  },
			
			{id = 4, Weapon =0xDBBD7280,  modelHash = "s_m_y_dealer_01", x = 2178.14, y = 2916.55, z = -84.79, heading = 108.35  },
			{id = 5, Weapon =0xFAD1F1C9,  modelHash = "s_m_y_ammucity_01", x = 2176.58, y = 2927.84, z = -84.8, heading = 105.77 },
			{id = 6, Weapon =0xE284C527,  modelHash = "U_M_Y_Tattoo_01",  x = 2176.14, y = 2922.38, z = -84.8, heading = 57.45   },
			{id = 7, modelHash = "mp_m_bogdangoon",isBoss=true,x = 2178.74, y = 2920.77, z = -84.8, heading = 264.61 },			
			{id = 8, modelHash = "mp_m_exarmy_01",isBoss=true,x = 2358.06, y = 2894.02, z = -84.8, heading = 82.86 },	
			
			{id = 9, modelHash = "mp_m_weapexp_01",isBoss=true, x = 2358.26, y = 2948.02, z = -84.8, heading = 90.65  },	
			
			{id = 10, Weapon =0x7FD62962,  modelHash = "s_m_y_ammucity_01", x = 2355.61, y = 2944.01, z = -84.8, heading = 267.41, },
			{id = 11, Weapon =0x7FD62962,  modelHash = "s_m_y_ammucity_01", x = 2355.53, y = 2898.05, z = -84.8, heading = -98.46  },
			
			{id = 12, Weapon =0x7FD62962,  modelHash = "G_M_M_ChiCold_01",x = 2357.36, y = 2902.62, z = -84.8, heading = 86.09 },
			{id = 13, Weapon =0x7FD62962,  modelHash = "U_M_Y_Tattoo_01",x = 2357.45, y = 2906.46, z = -84.8, heading = 85.96 },
			
			{id = 14, Weapon =0x7FD62962,  modelHash = "s_m_y_ammucity_01", x = 2357.49, y = 2940.11, z = -84.8, heading = 85.39 },
			
			{id = 15, Weapon =0x7FD62962,  modelHash = "s_m_y_robber_01",x = 2357.09, y = 2936.33, z = -84.8, heading = 86.47 },	
			
			{id = 16, modelHash = "u_m_y_juggernaut_01",isBoss=true, x = 2357.74, y = 2931.17, z = -84.8, heading = 87.94   },
			
			{id = 17, modelHash = "u_m_y_juggernaut_01",isBoss=true,x = 2357.67, y = 2911.07, z = -84.8, heading = 84.42 },
			{id = 18, modelHash = "u_m_y_juggernaut_01",isBoss=true,x = 2357.98, y = 2915.69, z = -84.65, heading = 185.38 },			
			{id = 19, modelHash = "u_m_y_juggernaut_01",isBoss=true, x = 2358.04, y = 2925.98, z = -84.65, heading = 358.89 },
			
    },
	
	

    Vehicles = {
      -- ID: id of NPC | name: Name of Blip | BlipID: Icone of Blip | VoiceName: NPC Talk When near it | Ambiance: Ambiance of Shop | Weapon: Hash of Weapon | modelHash: Model | X: Position x | Y: Position Y | Z: Position Z | heading: Where Npc look
   	  --**IMPORTANT: make sure the id of the ped starts from 1, each Peds id in above, increments by 1 and matches that entries index if it were in an array***
	  --vehicles are not consistent, so use ExtraPeds at your own discretion.
	  --Below takes a ped with id=1 from Peds above and will put it in seatid = -2   
	 -- {id = 1, id2 = 1, Vehicle = "annihilator", modelHash = "S_M_M_ChemSec_01",  x = -1166.42, y = 4641.5, z = 145.11, heading = 210.07,driving=true,pilot=true},
	 -- {id = 2, id2 = 2, Vehicle = "toro2", modelHash = "s_m_y_ammucity_01",  x = -3014.83, y = -43.5, z = 0.13, heading = 151.19, driving=true},
    }
  }, 

 ]] 


}
